(function($) {
	mui.ready(function(){
		var page=1;
		mui.plusReady(function() {
			mui.init({
				pullRefresh: {
					container: '#item2',
					up: {
						auto:false,//可选,默认false.自动上拉加载一次
			            contentrefresh: '',
			            contentnomore:'',//可选，请求完毕若没有更多数据时显示的提醒内容；
						callback: pullupRefresh
					}
				}
			});
			var strGUID = localStorage.getItem("yqtoken");
			//获取考试地址
			var ksUrl='';
			var urlks = localStorage.getItem('srvurl') + 'phone/phoneAPI/WebConfigUrlTxt.ashx?';
			mui.ajax(urlks, {
				dataType: 'text',
				type: 'post',
				timeout: 5000,
				processData: true,
				async: false, //异步
				success: function(data) {
					if(data==''){
						document.getElementById("lo-m").style.display='block';
						document.getElementById("ys-alert").style.display='block'; 
					}else{
						ksUrl=data;
						kaishishowu(ksUrl)
					}
				},
				error: function(xhr, type, errorThrown) {
					return;
				}
			});
			function kaishishowu(ksUrl){
				//获取科室
				var role = document.getElementById('role');
				var url1 = ksUrl+'/ExamPhone/ExamTestPhone.ashx?guid='+strGUID+'&type=fl';
				console.log(url1);
				mui.ajax(url1, {
					dataType: 'json',
					type: 'post',
					timeout: 5000,
					processData: true,
					async: false, //异步
					success: function(data) {
						var content = '';
						for(var i = 0; i < data.length; i++) {
							content += '<option value=' + data[i].lngClassID + '>' + data[i].strClassCode + '</option>';
						}
						role.innerHTML = content;
						Questions();
					},
					error: function(xhr, type, errorThrown) {
						return;
					}
				});
				//改变科室
				document.getElementById('role').addEventListener('change',function(){
					Questions();
				})
				//生成试卷
				document.getElementById("generate").addEventListener('tap',function(){
					var Questionstypenum=document.getElementsByTagName("li");
					var derpaId=document.getElementById('role').value;
					var tType='';
					var testTime='',cType='';
					for(var i=0;i<Questionstypenum.length;i++){
						var Questionschild=Questionstypenum[i].childNodes;
						for ( var j = 0; j < Questionschild.length;j++) { //遍历子元素
			                if (Questionschild[j].nodeName == "INPUT") {
			                	if(Questionschild[j].value==''){
			                		var textvalue=0;
			                	}else{
			                		var textvalue=Questionschild[j].value;
			                	}
			                  if(i==0){
			                  	if(textvalue==0){
			                  		mui.toast("请输入练习时间");
		                  			return;
			                  	}else{
			                  		testTime=textvalue;
			                  	}
			                  }else{
		                  		var znumber=QuestionsNumber1(i,derpaId);
		                  		if(textvalue>znumber || textvalue>=100){
		                  			mui.toast("题量应在最大题量且不大于100之内！");
		                  			return;
		                  		}else{
		                  			if(i==1){
		                  				cType='DA1_'+textvalue+',';
		                  			}else if(i==2){
		                  				cType+='DA2_'+textvalue+',';
		                  			}else if(i==3){
		                  				cType+='DX_'+textvalue+',';
		                  			}else if(i==4){
		                  				cType+='SF_'+textvalue+',';
		                  			}else if(i==5){
		                  				cType+='GT_'+textvalue+',';
		                  			}else if(i==6){
		                  				cType+='GX_'+textvalue+',';
		                  			}else if(i==7){
		                  				cType+='JD_'+textvalue+',';
		                  			}else if(i==8){
		                  				cType+='TK_'+textvalue+',';
		                  			}else if(i==9){
		                  				cType+='JS_'+textvalue;
		                  			}
		                  		}
			                  }
			                }  
				        }
					}
					var PapersInfo={
						cType:cType,
						testTime:testTime,
						class:derpaId
					}
					var PapersUrl= ksUrl+'/ExamPhone/ExamTestPhone.ashx?guid='+strGUID;
					mui.ajax(PapersUrl, {
						dataType: 'json',
						type: 'post',
						data:PapersInfo,
						timeout: 5000,
						processData: true,
						async: false, //异步
						success: function(data) {
							if(data !=''){
								var Questionstypenum=document.getElementsByTagName("li");
								for(var i=0;i<Questionstypenum.length;i++){
									var Questionschild=Questionstypenum[i].childNodes;
									for ( var j = 0; j < Questionschild.length;j++) { //遍历子元素
						                if (Questionschild[j].nodeName == "INPUT") {
						                     Questionschild[j].value='';
						                }  
							        }
								}
								page=1;
								pullupRefresh();
								document.getElementById("loimg").style.display='block';
								setTimeout(function(){
									document.getElementById("loimg").style.display='none';
									mui.openWindow({
										url: 'examination/Exercises.html',
										id: 'examination/Exercises',
										show: {
											aniShow: 'pop-in',
											duration:500
										},
									 	waiting: {
						                    autoShow: false, //自动显示等待框，默认为true
						               },
						               extras: {
											ids: data,
											testTime:testTime,
											ksUrl:ksUrl
										}
									})
									document.getElementById("loimg").style.display='none';
								},500)
							}else{
								mui.toast('生成失败!');
							}
						},
						error: function(xhr, type, errorThrown) {
							return;
						}
					});
				});
				//获取试卷列表
				pullupRefresh();
				
				//跳转
				mui("#TestShow").on('tap', 'li', function() {
					document.getElementById("loimg").style.display='block';
					var uid = jQuery(this).attr("id");
					setTimeout(function(){
						document.getElementById("loimg").style.display='none';
						mui.openWindow({
							url: 'examination/Examination_paper.html',
							id: 'examination/Examination_paper',
							show: {
								aniShow: 'pop-in',
								duration:500
							},
						 	waiting: {
			                    autoShow: false, //自动显示等待框，默认为true
			               },
			               extras: {
								ids: uid,
								ksUrl:ksUrl
							}
						})
						document.getElementById("loimg").style.display='none';
					},500)
				});
			}
			
			//获取题
			function Questions(){
				var Questionstypenum=document.getElementsByTagName("li");
				var tType='';
				for(var i=1;i<Questionstypenum.length;i++){
					var classId=document.getElementById("role").value;
					if(i==1){
						tType='DA1';
					}else if(i==2){
						tType='DA2';
					}else if(i==3){
						tType='DX';
					}else if(i==4){
						tType='SF';
					}else if(i==5){
						tType='GT';
					}else if(i==6){
						tType='GX';
					}else if(i==7){
						tType='JD';
					}else if(i==8){
						tType='TK';
					}else if(i==9){
						tType='JS';
					}
					QuestionsNumber(tType,i,classId);
				}
				function QuestionsNumber(tType,i,classId){
					//获取题量
					var url1 =ksUrl+'/ExamPhone/ExamTestPhone.ashx?guid='+strGUID+'&tType='+tType+'&type=tCount&class='+classId;
					mui.ajax(url1, {
						dataType: 'json',
						type: 'post',
						timeout: 5000,
						processData: true,
						async: false, //异步
						success: function(data) {
							var Questionschild=Questionstypenum[i].childNodes;
							for ( var j = 0; j < Questionschild.length;j++) { //遍历子元素
				                if (Questionschild[j].nodeName == "SAMP") {
				                     Questionschild[j].innerHTML='题量：'+data;
				                }  
					        }
						},
						error: function(xhr, type, errorThrown) {
							return;
						}
					});
				}
			}
			//判断题量是否超出
			function QuestionsNumber1(i,classId){
				var tType;
				if(i==1){
					tType='DA1';
				}else if(i==2){
					tType='DA2';
				}else if(i==3){
					tType='DX';
				}else if(i==4){
					tType='SF';
				}else if(i==5){
					tType='GT';
				}else if(i==6){
					tType='GX';
				}else if(i==7){
					tType='JD';
				}else if(i==8){
					tType='TK';
				}else if(i==9){
					tType='JS';
				}
				var znumber;
				//获取题量
				var url1 = ksUrl+'/ExamPhone/ExamTestPhone.ashx?guid='+strGUID+'&tType='+tType+'&type=tCount&class='+classId;
				mui.ajax(url1, {
					dataType: 'json',
					type: 'post',
					timeout: 5000,
					processData: true,
					async: false, //异步
					success: function(data) {
						znumber=data;
					},
					error: function(xhr, type, errorThrown) {
						return;
					}
				});
				return znumber;
			}
			//试卷查看
			function pullupRefresh(){
				if(page!=1){
					mui('#item2').pullRefresh().endPullupToRefresh(false); //参数为true代表没有更多数据了。
				}
				var TestShow=document.getElementById("TestShow");
				var PapersInfo={
					type:'paperlist',
					page:page,
					size:10
				}
				var url1 = ksUrl+'/ExamPhone/ExamTestPhone.ashx?guid='+strGUID;
				mui.ajax(url1, {
					dataType: 'json',
					type: 'post',
					data:PapersInfo,
					timeout: 5000,
					processData: true,
					async: false, //异步
					success: function(data) {
						if(data.length!=0){
							for(var i=0;i<data.length;i++){
								var prdiv= document.createElement('li');
						 		prdiv.className = 'mui-table-view-cell';
								prdiv.setAttribute('id',data[i].lngID);
								prdiv.innerHTML='<p class="ks-item">'+data[i].strName+'</p>'+
												'<p>创建时间 : '+data[i].strTime+'</p>'+
												'<p>正确率 ：<span class="ks-ProgressBar"></span>'+data[i].strOK+'</p>';
								TestShow.appendChild(prdiv);
							}
						}else{
							mui.toast("已经到底了!");
						}
					},
					error: function(xhr, type, errorThrown) {
						return;
					}
				});
				return page++;
			}
		})
	})
})(mui);