mui.init();  
//------------------区域滑动---------------------//
mui('.mui-scroll-wrapper').scroll({
	deceleration: 0.0005 //flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006
});
var strGUID = app.getToken();
document.getElementById('seekbtn').addEventListener('tap', function() {
	document.getElementById("loimg").style.display = 'block';
	var lookupType = document.getElementById('lookup-type').value;
	var findContent = document.getElementById('find-content').value;
	var studentStatus = document.getElementById('student-status').value;
	var Display = document.getElementById('display');
	var typename = '';
	if(lookupType == '学员姓名') {
		typename = 'userNameType';
	} else if(lookupType == '登录号码') {
		typename = 'userCodeType';
	} else if(lookupType == '学员类型') {
		typename = 'userTypeName';
	} else if(lookupType == '培训专业') {
		typename = 'TraindepartmentName';
	} else if(lookupType == '培训年届') {
		typename = 'intTrainYear';
	} else if(lookupType == '培训年限') {
		typename = 'intTrainYearCount';
	} else if(lookupType == '送培方式') {
		typename = 'TrainStyle';
	} else if(lookupType == '是否有医师资格证') {
		typename = 'doctPaperCode';
	}
	var LoginInfo = app.getLogin();
	var strManagerInfoType1 = LoginInfo.rl;
	var ty = 0;
	if(strManagerInfoType1 == "医院管理员") {
		ty = "1";
	} else if(strManagerInfoType1 == "科室管理员") {
		ty = "2";
	} else if(strManagerInfoType1 == "带教老师") {
		ty = "3";
	} else if(strManagerInfoType1 == "专业基地管理员") {
		ty = "6";
	} else if(strManagerInfoType1 == "责任导师") {
		ty = "7";
	} else if(strManagerInfoType1 == "病区管理员") {
		ty = "5";
	} else if(strManagerInfoType1 == "学员") {
		ty = "4";
	}
	var url = localStorage.getItem('srvurl') + 'phone/phoneAPI/ApplicationAllBaseData.ashx?guid=' + strGUID + '&userType=' + studentStatus + '&' + typename + '=' + lookupType + '&txtAll=' + findContent + '&submite=true&ty=' + ty;
	mui.ajax(url, {
		dataType: 'json',
		type: 'post',
		timeout: 5000,
		processData: true,
		async: false, //异步
		success: function(data) {
			setTimeout(function() {
				document.getElementById("loimg").style.display = 'none';
				var content = '';
				for(var i = 0; i < data.length; i++) {
					content += '<li class="mui-table-view-cell">';
					content += '<p> 学员姓名： <span>' + data[i].strUserName + '</span></p>';
					content += '<p> 学员类型： <span>' + data[i].strUserTypeName + '</span></p>';
					content += '<p> 登录号码： <span>' + data[i].strUserCode + '</span></p>';
					content += '<p> 规培专业： <span>' + data[i].strTrainDepartmentName + '</span></p>';
					content += '<div class="act-icon">';
					var url3 = 'guid=' + strGUID + '&userid=' + data[i].lngUserID;
					content += "<span id=\"See\" data-url=\"" + url3 + "\"><i class=\"iconfont icon-chakan\"></i>查看</span>";
					content += '</div>';
					content += '</li>';
				}
				Display.innerHTML = content;
			}, 1000)
		},
		error: function(xhr, type, errorThrown) {
			setTimeout(function() {
				document.getElementById("loimg").style.display = 'none';
			}, 1000)
			return;
		}
	});
	mui.openBrowser = function(url) {
		document.getElementById("loimg").style.display = 'block';
		setTimeout(function() {
			var tys=ty;
			document.getElementById("loimg").style.display = 'none';
			mui.openWindow({
				url: 'synthesis.html',
				id: 'synthesis',
				waiting: {
					autoShow: false
				},
				extras: {
					url: url,
					tys:tys
				}
			}, true);
		}, 1000)
	}
	mui('body').on('tap', '#See', function() {
		mui.openBrowser(this.getAttribute('data-url'));
	});
});