mui.plusReady(function() {
	var strGUID = app.getToken();
	var LoginInfo = app.getLogin();
	var strManagerInfoType1 = LoginInfo.rl;
	var typ = strManagerInfoType(strManagerInfoType1);
	if(typ == 3) {
		document.getElementById("disbtn").style.display = 'block';
	}
	document.getElementById("disbtn").addEventListener('tap', function() {
		document.getElementById("loimg").style.display = 'block';
		var ids = this.parentNode.parentNode.parentNode.getAttribute("id");
		setTimeout(function() {
			document.getElementById("loimg").style.display = 'none';
			mui.openWindow({
				url: 'kanyandengjit.html',
				id: 'kanyandengjit',
				show: {
					aniShow: 'pop-in',
					duration: 500
				},
				waiting: {
					autoShow: false
				},
				extras: {
					ids: ids,
					styles: 0
				}
			});
		}, 1000)
	});
	var Department = document.getElementById('department');
	var url = localStorage.getItem('srvurl') + 'phone/phoneAPI/UserDepartMentInfo.ashx?guid=' + strGUID + '&searchD=true&ty=' + typ;
	mui.ajax(url, {
		dataType: 'json',
		type: 'post',
		timeout: 5000,
		processData: true,
		async: false, //异步
		success: function(data) {
			var content = '';
			if(typ == 1) {
				var content1 = '<option>' + data[0].strDepartmentName + '</option>';
				for(var i = 1; i < data.length; i++) {
					content += '<option>' + getStr(data[i].strDepartmentName, '—') + '</option>';
				}
				if(Department == "") {
					Department.innerHTML = '所有科室';
				}
				Department.innerHTML = content1 + content;
			} else {
				for(var i = 0; i < data.length; i++) {
					content += '<option>' + data[i].strDepartmentName + '</option>';
				}
				Department.innerHTML = content;
			}
		},
		error: function(xhr, type, errorThrown) {
			return;
		}
	});
	//判读当科室管理员登录时隐藏
	if(typ == 3) {
		document.getElementById("jioi").style.display = "none";
	}
	//点击收索
	document.getElementById('seekbtn').addEventListener('tap', function() {
		document.getElementById("loimg").style.display = 'block';
		var querytype = document.getElementById('query-type').value; //查询类型
		var Name = document.getElementById('strcontent').value; //查询内容
		var Display = document.getElementById('display');
		var evalshhe = document.getElementById("evalshhe").value; //审核状态
		if(typ == 2 || typ == 1) {
			var entry = '';
			if(querytype == '带教老师姓名') {
				entry = 'strManagerName';
			} else if(querytype == '教学主题') {
				entry = 'strTitle';
			} else {
				entry = 'strProfessionName';
			}
			if(department.value == '所有科室') {
				var url2 = localStorage.getItem('srvurl') + 'phone/phoneAPI/TeacherDepartRecordCheckList.ashx?guid=' + strGUID + '&list=true&ty=' + typ + '&txtStatus=' + evalshhe + '&entry=' + entry + '&Content=' + Name;
			} else {
				if(typ == 1) {
					var url2 = localStorage.getItem('srvurl') + 'phone/phoneAPI/TeacherDepartRecordCheckList.ashx?guid=' + strGUID + '&entry=' + entry + '&Content=' + Name + '&list=true&ty=' + typ + '&txtStatus=' + evalshhe + '&txtDepartName=' + Department.value;
				} else {
					var url2 = localStorage.getItem('srvurl') + 'phone/phoneAPI/TeacherDepartRecordCheckList.ashx?guid=' + strGUID + '&entry=' + entry + '&Content=' + Name + '&list=true&ty=2&txtStatus=' + evalshhe + '&txtDepartName=' + Department.value.substring(1, Department.value.length); //截取字符串长度	
				}
			}
			mui.ajax(url2, {
				dataType: 'json',
				type: 'post',
				timeout: 5000,
				processData: true,
				async: false, //异步
				success: function(data) {
					setTimeout(function() {
						document.getElementById("loimg").style.display = 'none';
						var content = '';
						var chaozuo = '';
						if(data != null) {
							if (evalshhe=='未审核') {
								for(var j = 0; j < data.length; j++) {
									localStorage.setItem('keyanweishen', data[j].lngTeachRecordID);
								}
							}
						}
						if(data == '') {
							mui.toast("没有任何数据！");
						}
						if(typ == 1) {
							chaozuo = '<div class="act-icon">' +
								'<span class="chankan"><i class="iconfont icon-chakan"></i>查看</span>' +
								'</div>';
						} else if(typ == 2) {
							if(evalshhe == '已审核') {
								chaozuo = '<div class="act-icon">' +
									'<span class="chankan"><i class="iconfont icon-chakan"></i>查看</span>' +
									'</div>';
							} else {
								chaozuo = '<div class="act-icon">' +
									'<span class="shenhe"><i class="iconfont icon-chakan"></i>审核</span>' +
									'<span class="chankan"><i class="iconfont icon-chakan"></i>查看</span>' +
									'</div>';
							}
						}
						for(var i = 0; i < data.length; i++) {
							content += '<ul class="mui-table-view att-ul" id="' + data[i].lngTeachRecordID + '"><li class="mui-table-view-cell">';
							content += '<p>教学主题：<span>' + data[i].strTitle + '</span></p>';
							content += '<p>教学地点：<span>' + data[i].strTeachPosition + '</span></p>';
							content += '<p>教学形式：<span>' + data[i].strTeachStyle + '</span></p>';
							content += '<p>教学时长：<span>' + data[i].strTeachSpan + '（分钟）</span></p>';
							content += '<p>教学时间：<span>' + data[i].strTeachDate + '</span></p>';
							content += '<p>带教老师姓名：<span>' + data[i].strManagerName + '</span></p>';
							content += '<p>审核状态：<span>' + data[i].strIsPass + '</span></p>';
							content += chaozuo;
							content += '</li></ul>';
						}
						Display.innerHTML = content;
						mui.plusReady(function() {
							//审核
							var stylet = '';
							mui(".att-ul").on('tap', '.shenhe', function() {
								var ids = this.parentNode.parentNode.parentNode.getAttribute("id");
								document.getElementById("loimg").style.display = 'block';
								setTimeout(function() {
									document.getElementById("loimg").style.display = 'none';
									stylet = 1;
									mui.openWindow({
										url: 'kanyandengjic.html',
										id: 'kanyandengjic',
										show: {
											aniShow: 'pop-in',
											duration: 500
										},
										waiting: {
											autoShow: false
										},
										extras: {
											ids: ids,
											styles: stylet
										}
									});
								}, 500)
							});
							//查看
							mui(".att-ul").on('tap', '.chankan', function() {
								stylet = 2;
								var ids = this.parentNode.parentNode.parentNode.getAttribute("id");
								document.getElementById("loimg").style.display = 'block';
								setTimeout(function() {
									document.getElementById("loimg").style.display = 'none';
									mui.openWindow({
										url: 'kanyandengjic.html',
										id: 'kanyandengjic',
										show: {
											aniShow: 'pop-in',
											duration: 500
										},
										waiting: {
											autoShow: false
										},
										extras: {
											ids: ids,
											styles: stylet
										}
									});
								}, 500)
							});
						});
					}, 500)
				},
				error: function(xhr, type, errorThrown) {
					return;
				}
			});
		} else if(typ == 3) {
			var url2 = localStorage.getItem('srvurl') + 'phone/phoneAPI/TeacherDepartRecordList.ashx?guid=' + strGUID + '&Scientific=' + Name + '&submit=true&ty=' + typ + '&deparmentid=' + Department.value;
			mui.ajax(url2, {
				dataType: 'json',
				type: 'post',
				timeout: 5000,
				processData: true,
				async: false, //异步
				success: function(data) {
					setTimeout(function() {
						document.getElementById("loimg").style.display = 'none';
						var content = '';
						var chaozuo = '';
						for(var i = 0; i < data.length; i++) {
							if(data[i].strIsPass == '通过') {
								chaozuo = '<div class="act-icon">' +
									'<span class="chankan"><i class="iconfont icon-chakan"></i>查看</span>' +
									'</div>';
							} else {
								chaozuo = '<div class="act-icon">' +
									'<span class="xiugai"><i class="iconfont icon-chakan"></i>修改</span>' +
									'<span class="detele"><i class="iconfont icon-chakan"></i>删除</span>' +
									'</div>';
							}
							content += '<ul class="mui-table-view att-ul" id="' + data[i].lngTeachRecordID + '"><li class="mui-table-view-cell">';
							content += '<p>教学主题：<span>' + data[i].strTitle + '</span></p>';
							content += '<p>教学地点：<span>' + data[i].strTeachPosition + '</span></p>';
							content += '<p>教学形式：<span>' + data[i].strTeachStyle + '</span></p>';
							content += '<p>教学时长：<span>' + data[i].strTeachSpan + '（分钟）</span></p>';
							content += '<p>教学时间：<span>' + data[i].strTeachDate + '</span></p>';
							content += '<p>审核状态：<span>' + data[i].strIsPass + '</span></p>';
							content += chaozuo;
							content += '</li></ul>';
						}
						Display.innerHTML = content;
						mui.plusReady(function() {
							var stylet = '';
							//查看
							mui(".att-ul").on('tap', '.chankan', function() {
								stylet = 2;
								var ids = this.parentNode.parentNode.parentNode.getAttribute("id");
								document.getElementById("loimg").style.display = 'block';
								setTimeout(function() {
									document.getElementById("loimg").style.display = 'none';
									mui.openWindow({
										url: 'kanyandengjic.html',
										id: 'kanyandengjic',
										show: {
											aniShow: 'pop-in',
											duration: 500
										},
										waiting: {
											autoShow: false
										},
										extras: {
											ids: ids,
											styles: stylet
										}
									});
								}, 500)
							});
							//修改
							mui(".att-ul").on('tap', '.xiugai', function() {
								stylet = 3;
								var ids = this.parentNode.parentNode.parentNode.getAttribute("id");
								document.getElementById("loimg").style.display = 'block';
								setTimeout(function() {
									document.getElementById("loimg").style.display = 'none';
									mui.openWindow({
										url: 'kanyandengjit.html',
										id: 'kanyandengjit',
										show: {
											aniShow: 'pop-in',
											duration: 500
										},
										waiting: {
											autoShow: false
										},
										extras: {
											ids: ids,
											styles: stylet
										}
									});
								}, 500)
							});
							//删除
							mui(".att-ul").on('tap', '.detele', function() {
								var ids = this.parentNode.parentNode.parentNode.getAttribute("id");
								var xiugaiInfo = {
									submit: 6,
									id: ids,
									strCurrID: ids
								}
								var url6 = localStorage.getItem('srvurl') + 'phone/phoneAPI/TeacherDepartRecordCheckCard.ashx?guid=' + app.getToken();
								console.log(url6);
								console.log(JSON.stringify(xiugaiInfo));
								mui.ajax({
									url: url6,
									dataType: 'json',
									data: xiugaiInfo,
									type: 'post',
									timeout: 1000,
									processData: true,
									async: true,
									contentType: 'application/x-www-form-urlencoded;charset=utf-8',
									success: function(data) {
										jQuery("#" + ids).slideUp();
										mui.toast('删除成功!');
									},
									error: function(XMLHttpRequest, textStatus, errorThrown) {
										return;
									}
								});
							});
						});
					}, 500)
				},
				error: function(xhr, type, errorThrown) {
					return;
				}
			});
		}
	});
});

function getStr(string, str) {
	var str_before = string.split(str)[0];
	var str_after = string.split(str)[1];
	return str_after;
}