mui.init()
	(function($, doc) {
		$.ready(function() {
			//------------------区域滑动---------------------//
			mui('.mui-scroll-wrapper').scroll({
				deceleration: 0.0005 //flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006
			});
			var strGUID=app.getToken();
			//轮转过的科室
			var Department = document.getElementById('Department');
			var url1 = localStorage.getItem('srvurl') + 'phone/phoneAPI/PersonalCenter.ashx?guid=' + strGUID + '&type=2';
			mui.ajax({
				url: url1,
				dataType: 'json',
				type: 'post',
				timeout: 1000,
				processData: true,
				async: true,
				contentType: 'application/x-www-form-urlencoded;charset=utf-8',
				success: function(data) {
					for(var x = 0; x < data.length; x++) {
						Department.innerHTML += '<option value=' + data[x].lngDepartmentID + '>' + data[x].strDepartmentName + '</option>';
					}
					//获取当前科室
					var url2 = localStorage.getItem('srvurl') + 'phone/phoneAPI/PersonalCenter.ashx?guid=' + strGUID + '&type=1';
					mui.ajax({
						url: url2,
						dataType: 'json',
						type: 'post',
						timeout: 1000,
						processData: true,
						async: true,
						contentType: 'application/x-www-form-urlencoded;charset=utf-8',
						success: function(data) {
							if(data.length != 0) {
								document.getElementById("Department").value = data[0].lngDepartmentID;
							}
						},
						error: function(xhr, type, errorThrown) {
							return;
						}
					});
				},
				error: function(xhr, type, errorThrown) {
					return;
				}
			});

			//查询
			document.getElementById("search").addEventListener('tap', function() {
				document.getElementById("loimg").style.display = 'block';
				var evals1 = document.getElementById("evals1").value;
				var intext = document.getElementById("intext").value;
				var Department = document.getElementById('Department').value;
				if(evals1 == '病人姓名') {
					var searchInfo = {
						submit: true,
						PatientName: intext,
						DepartmentID:Department
					}
				} else if(evals1 == '住院号') {
					var searchInfo = {
						submit: true,
						ADNumber: intext,
						DepartmentID:Department
					}
				} else {
					var searchInfo = {
						submit: true,
						BedNumber: intext,
						DepartmentID:Department
					}
				}
				var intext = document.getElementById("intext").value;
				var list1 = document.getElementById("list1");
				var url5 = localStorage.getItem('srvurl') + 'phone/phoneAPI/UserDeparBedList.ashx?guid=' + app.getToken();
				mui.ajax({
					url: url5,
					dataType: 'json',
					data: searchInfo,
					type: 'post',
					timeout: 1000,
					processData: true,
					async: true,
					contentType: 'application/x-www-form-urlencoded;charset=utf-8',
					success: function(data) {
						setTimeout(function() {
							document.getElementById("loimg").style.display = 'none';
							var content = '';
							if(data.length == 0) {
								mui.toast('<没有找到病人数据!>');
							} else {
								for(var i = 0; i < data.length; i++) {
									content += '<ul class="mui-table-view act-ul" id="' + data[i].lngPatientID + '"><li class="mui-table-view-cell">' +
										'<p>病人姓名：<span>' + data[i].strPatientName + '</span></p>' +
										'<p>床号：<span>' + data[i].strADNumber + '</span></p>' +
										'<p>住院号：<span>' + data[i].strBedNumber + '</span></p>' +
										'<p>主要诊断：<span>' + data[i].strDisease1 + '</span></p>' +
										'<div class="act-icon">' +
										'<span class="xiugai"><i class="iconfont icon-kaoqin"></i>修改</span>' +
										'<span class="chankan"><i class="iconfont icon-chakan"></i>查看</span>' +
										'<span class="delete"><i class="iconfont icon-shanchu"></i>删除</span>' +
										'</div></li></ul>';
								}
								list1.innerHTML = content;
								//修改页面
								mui.plusReady(function() {
									mui(".act-ul .act-icon").on('tap', '.xiugai', function() {
										var ids = this.parentNode.parentNode.parentNode.getAttribute("id");
										document.getElementById("loimg").style.display = 'block';
										setTimeout(function() {
											document.getElementById("loimg").style.display = 'none';
											mui.openWindow({
												url: 'guanchuangxs.html',
												id: 'guanchuangxs',
												show: {
													aniShow: 'pop-in',
													duration: 500
												},
												waiting: {
													autoShow: false
												},
												extras: {
													ids: ids
												}
											});
										}, 500)
									});
									//详情页面
									mui(".act-ul .act-icon").on('tap', '.chankan', function() {
										var ids = this.parentNode.parentNode.parentNode.getAttribute("id");
										document.getElementById("loimg").style.display = 'block';
										setTimeout(function() {
											document.getElementById("loimg").style.display = 'none';
											mui.openWindow({
												url: 'guanchuang-tail.html',
												id: 'guanchuang-tail',
												show: {
													aniShow: 'pop-in',
													duration: 500
												},
												waiting: {
													autoShow: false
												},
												extras: {
													ids: ids
												}
											});
										}, 500)
									});
									//删除数据
									mui(".act-ul .act-icon").on('tap', '.delete', function() {
										var ids = this.parentNode.parentNode.parentNode.getAttribute("id");
										var xiugaiInfo = {
											edit: 2,
											id: ids
										}
										var url5 = localStorage.getItem('srvurl') + 'phone/phoneAPI/UserDepartBedCardType.ashx?guid=' + app.getToken();
										mui.ajax({
											url: url5,
											dataType: 'json',
											data: xiugaiInfo,
											type: 'post',
											timeout: 1000,
											processData: true,
											async: true,
											contentType: 'application/x-www-form-urlencoded;charset=utf-8',
											success: function(data) {
												console.log(JSON.stringify(data));
												if(data == '对不起，此病人已经在轮转手册中有大病历信息，不能删除！') {
													mui.toast('对不起，此病人已经在轮转手册中有大病历信息，不能删除！')
												} else {
													jQuery("#" + ids).slideUp();
													mui.toast('删除成功!');
												}
											},
											error: function(XMLHttpRequest, textStatus, errorThrown) {
												return;
											}
										});
									});
								});
							}
						}, 500)
					},
					error: function(XMLHttpRequest, textStatus, errorThrown) {
						return;
					}
				});
			})
			//提交
			document.getElementById("submit").addEventListener('tap', function() {
				var patientName = document.getElementById("patientName");
				var FullBed, strSex;
				if(document.getElementById("FullBed").value == '是') {
					FullBed = true;
				} else {
					FullBed = false;
				}

				function getRadioRes(radio1) {
					var rdsObj = document.getElementsByName("radio1");
					var checkVal = null;
					for(i = 0; i < rdsObj.length; i++) {
						if(rdsObj[i].checked) {
							checkVal = rdsObj[i].previousElementSibling.innerHTML;
						}
					}
					return checkVal;
				}
				var strSex = getRadioRes();
				var patientName = document.getElementById("patientName");
				var strAge = document.getElementById("strAge");
				var ADNumber = document.getElementById("ADNumber");
				var BedNumber = document.getElementById("BedNumber");
				var Disease1 = document.getElementById("Disease1");
				var Disease2 = document.getElementById("Disease2");
				var Begintime = document.getElementById("startimes").value;
				var Endtime = document.getElementById("startimee").value;
				var addInfo = {
					patientName: patientName.value,
					FullBed: FullBed,
					strSex: strSex,
					strAge: strAge.value,
					ADNumber: ADNumber.value,
					BedNumber: BedNumber.value,
					Disease1: Disease1.value,
					Disease2: Disease2.value,
					Begintime: Begintime,
					Endtime: Endtime,
					submit: true
				}
				if(patientName.value == '') {
					mui.toast("请输入病人姓名！");
				} else if(strAge.value == '') {
					mui.toast("请输入病人年龄！");
				} else if(ADNumber.value == '') {
					mui.toast("请输入住院号！");
				} else if(BedNumber.value == '') {
					mui.toast("请输入住院床号！");
				} else if(Disease1.value == '') {
					mui.toast("请输入主要诊断！");
				} else {
					var url6 = localStorage.getItem('srvurl') + 'phone/phoneAPI/UserDepartBedCard.ashx?guid=' + app.getToken();
					mui.ajax({
						url: url6,
						data: addInfo,
						dataType: 'json',
						type: 'post',
						timeout: 1000,
						processData: true,
						async: true,
						contentType: 'application/x-www-form-urlencoded;charset=utf-8',
						success: function(data) {
							mui.alert('提交成功', function() {
								window.location = window.location;
							});
						},
						error: function(XMLHttpRequest, textStatus, errorThrown) {
							if(XMLHttpRequest.status == 200) {
								mui.alert('提交成功', function() {
									window.location = window.location;
								});
							} else {
								mui.toast('<提交失败!>');
							}
						}
					});
				}

			})
		})
	})(mui, document)