(function($, doc) {
	$.ready(function() {
		//获取科室
		var itemsel = document.getElementById("itemsel");
		var url1 = localStorage.getItem('srvurl') + 'phone/phoneAPI/PersonalCenter.ashx?guid=' + app.getToken() + '&type=1';
		mui.ajax({
			url: url1,
			dataType: 'json',
			type: 'post',
			timeout: 1000,
			processData: true,
			async: true,
			contentType: 'application/x-www-form-urlencoded;charset=utf-8',
			success: function(data) {
				for(var x = 0; x < data.length; x++) {
					itemsel.innerHTML += '<option value=' + data[x].lngDepartmentID + '>' + data[x].strDepartmentName + '</option>';
				}
			},
			error: function(xhr, type, errorThrown) {
				return;
			}
		});
		document.getElementById("lunsearch").addEventListener('tap', function() {
			document.getElementById("loimg").style.display = 'block';
			var itemse2 = document.getElementById("itemse2");
			var status = document.getElementById("itemse3");
			var lunzhuanc = document.getElementById("lunzhuanc");
			var submitInfo = {
				departMentid: itemsel.value,
				TrainType: itemse2.value,
				DocTypeList: '轮转手册',
				status: status.value,
				ty: '4',
				submit: true
			}
			var url = localStorage.getItem('srvurl') + 'phone/phoneAPI/UserDocumentList.ashx?guid=' + app.getToken();
			mui.ajax({
				url: url,
				data: submitInfo,
				dataType: 'json',
				type: 'post',
				timeout: 1000,
				processData: true,
				async: true,
				contentType: 'application/x-www-form-urlencoded;charset=utf-8',
				success: function(data) {
					lunzhuanc.innerHTML = '';
					setTimeout(function() {
						document.getElementById("loimg").style.display = 'none';
						var content = '';
						var urlId = plus.webview.currentWebview().id;
						if(urlId == 'url../lunzhuan/bingli.html') {
							for(var i = 0; i < data.length; i++) {
								content += '<ul class="mui-table-view act-ul" id="' + data[i].lngUserDocumentID + '"><li class="mui-table-view-cell">' +
									'<p id="' + data[i].lngPatientID + '">病人姓名：<span>' + data[i].strPatientName + '</span></p>' +
									'<p>住院号：<span>' + data[i].strADNumber + '</span></p>' +
									'<p>所在科室：<span>' + data[i].strDepartmentName + '</span></p>' +
									'<p>书写时间：<span>' + data[i].strCreateTime + '</span></p>' +
									'<p>主要诊断：<span>' + data[i].strTitle + '</span></p>';
								var dgst = shenheqingk(data[i].lngUserDocumentID);
								content += dgst;
								content += '<div class="act-icon">';
								if(data[i].ISEdit == 'No') {
									content += '<span class="chankan"><i class="iconfont icon-chakan"></i>查看</span>';
								} else {
									content += '<span class="xiugai"><i class="iconfont icon-kaoqin"></i>修改</span>';
									content += '<span class="chankan"><i class="iconfont icon-chakan"></i>查看</span>';
									content += '<span class="delete"><i class="iconfont icon-shanchu"></i>删除</span>';
								}
								content += '</div></li></ul>';
							}
						} else if(urlId == 'url../lunzhuan/caozuo.html') {
							for(var i = 0; i < data.length; i++) {
								content += '<ul class="mui-table-view act-ul" id="' + data[i].lngUserDocumentID + '"><li class="mui-table-view-cell">' +
									'<p>病人姓名：<span>' + data[i].strPatientName + '</span></p>' +
									'<p>住院号：<span>' + data[i].strADNumber + '</span></p>' +
									'<p>所在科室：<span>' + data[i].strDepartmentName + '</span></p>' +
									'<p>书写时间：<span>' + data[i].strCreateTime + '</span></p>' +
									'<p>操作名称：<span>' + data[i].strTitle + '</span></p>';
								var dgst = shenheqingk(data[i].lngUserDocumentID);
								content += dgst;
								content += '<div class="act-icon">';
								if(data[i].ISEdit == 'No') {
									content += '<span class="chankan"><i class="iconfont icon-chakan"></i>查看</span>';
								} else {
									content += '<span class="xiugai"><i class="iconfont icon-kaoqin"></i>修改</span>';
									content += '<span class="chankan"><i class="iconfont icon-chakan"></i>查看</span>';
									content += '<span class="delete"><i class="iconfont icon-shanchu"></i>删除</span>';
								}
								content += '</div></li></ul>';
							}
						} else if(urlId == 'url../lunzhuan/menzhen.html') {
							for(var i = 0; i < data.length; i++) {
								content += '<ul class="mui-table-view act-ul" id="' + data[i].lngUserDocumentID + '"><li class="mui-table-view-cell">' +
									'<p>所在科室：<span>' + data[i].strDepartmentName + '</span></p>' +
									'<p>书写时间：<span>' + data[i].strCreateTime + '</span></p>' +
									'<p>文献类型：<span>' + data[i].strType + '</span></p>' +
									'<p>病人信息：<span>' + data[i].strPatientInfo + '</span></p>' +
									'<p>就诊号：<span>' + data[i].strPatientNumber + '</span></p>' +
									'<p>主要诊断：<span>' + data[i].strDisease1 + '</span></p>';
								var dgst = shenheqingk(data[i].lngUserDocumentID);
								content += dgst;
								content += '<div class="act-icon">';
								if(data[i].ISEdit == 'No') {
									content += '<span class="chankan"><i class="iconfont icon-chakan"></i>查看</span>';
								} else {
									content += '<span class="xiugai"><i class="iconfont icon-kaoqin"></i>修改</span>';
									content += '<span class="chankan"><i class="iconfont icon-chakan"></i>查看</span>';
									content += '<span class="delete"><i class="iconfont icon-shanchu"></i>删除</span>';
								}
								content += '</div></li></ul>';
							}
						} else if(urlId == 'url../lunzhuan/menzhencaozuo.html') {
							for(var i = 0; i < data.length; i++) {
								content += '<ul class="mui-table-view act-ul" id="' + data[i].lngUserDocumentID + '"><li class="mui-table-view-cell">' +
									'<p>所在科室：<span>' + data[i].strDepartmentName + '</span></p>' +
									'<p>书写时间：<span>' + data[i].strCreateTime + '</span></p>' +
									'<p>文献类型：<span>' + data[i].strType + '</span></p>' +
									'<p>病人信息：<span>' + data[i].strPatientInfo + '</span></p>' +
									'<p>就诊号：<span>' + data[i].strPatientNumber + '</span></p>' +
									'<p>主要诊断：<span>' + data[i].strDisease1 + '</span></p>';
								var dgst = shenheqingk(data[i].lngUserDocumentID);
								content += dgst;
								content += '<div class="act-icon">';
								if(data[i].ISEdit == 'No') {
									content += '<span class="chankan"><i class="iconfont icon-chakan"></i>查看</span>';
								} else {
									content += '<span class="xiugai"><i class="iconfont icon-kaoqin"></i>修改</span>';
									content += '<span class="chankan"><i class="iconfont icon-chakan"></i>查看</span>';
									content += '<span class="delete"><i class="iconfont icon-shanchu"></i>删除</span>';
								}
								content += '</div></li></ul>';
							}
						} else if(urlId == 'url../lunzhuan/menzhenshoushu.html') {
							for(var i = 0; i < data.length; i++) {
								content += '<ul class="mui-table-view act-ul" id="' + data[i].lngUserDocumentID + '"><li class="mui-table-view-cell">' +
									'<p>所在科室：<span>' + data[i].strDepartmentName + '</span></p>' +
									'<p>书写时间：<span>' + data[i].strCreateTime + '</span></p>' +
									'<p>文献类型：<span>' + data[i].strType + '</span></p>' +
									'<p>病人信息：<span>' + data[i].strPatientInfo + '</span></p>' +
									'<p>就诊号：<span>' + data[i].strPatientNumber + '</span></p>' +
									'<p>手术名称：<span>' + data[i].strTitle + '</span></p>';
								var dgst = shenheqingk(data[i].lngUserDocumentID);
								content += dgst;
								content += '<div class="act-icon">';
								if(data[i].ISEdit == 'No') {
									content += '<span class="chankan"><i class="iconfont icon-chakan"></i>查看</span>';
								} else {
									content += '<span class="xiugai"><i class="iconfont icon-kaoqin"></i>修改</span>';
									content += '<span class="chankan"><i class="iconfont icon-chakan"></i>查看</span>';
									content += '<span class="delete"><i class="iconfont icon-shanchu"></i>删除</span>';
								}
								content += '</div></li></ul>';
							}
						} else if(urlId == 'url../lunzhuan/shoushu.html') {
							for(var i = 0; i < data.length; i++) {
								content += '<ul class="mui-table-view act-ul" id="' + data[i].lngUserDocumentID + '"><li class="mui-table-view-cell">' +
									'<p>病人姓名：<span>' + data[i].strPatientName + '</span></p>' +
									'<p>住院号：<span>' + data[i].strADNumber + '</span></p>' +
									'<p>所在科室：<span>' + data[i].strDepartmentName + '</span></p>' +
									'<p>书写时间：<span>' + data[i].strCreateTime + '</span></p>' +
									'<p>手术名称：<span>' + data[i].strADDisease1 + '</span></p>';
								var dgst = shenheqingk(data[i].lngUserDocumentID);
								content += dgst;
								content += '<div class="act-icon">';
								if(data[i].ISEdit == 'No') {
									content += '<span class="chankan"><i class="iconfont icon-chakan"></i>查看</span>';
								} else {
									content += '<span class="xiugai"><i class="iconfont icon-kaoqin"></i>修改</span>';
									content += '<span class="chankan"><i class="iconfont icon-chakan"></i>查看</span>';
									content += '<span class="delete"><i class="iconfont icon-shanchu"></i>删除</span>';
								}
								content += '</div></li></ul>';
							}
						} else if(urlId == 'url../lunzhuan/jizhen.html') {
							for(var i = 0; i < data.length; i++) {
								content += '<ul class="mui-table-view act-ul" id="' + data[i].lngUserDocumentID + '"><li class="mui-table-view-cell">' +
									'<p>所在科室：<span>' + data[i].strDepartmentName + '</span></p>' +
									'<p>书写时间：<span>' + data[i].strCreateTime + '</span></p>' +
									'<p>文献类型：<span>' + data[i].strType + '</span></p>' +
									'<p>病人信息：<span>' + data[i].strPatientInfo + '</span></p>' +
									'<p>就诊号：<span>' + data[i].strPatientNumber + '</span></p>' +
									'<p>主要诊断：<span>' + data[i].strDisease1 + '</span></p>';
								var dgst = shenheqingk(data[i].lngUserDocumentID);
								content += dgst;
								content += '<div class="act-icon">';
								if(data[i].ISEdit == 'No') {
									content += '<span class="chankan"><i class="iconfont icon-chakan"></i>查看</span>';
								} else {
									content += '<span class="xiugai"><i class="iconfont icon-kaoqin"></i>修改</span>';
									content += '<span class="chankan"><i class="iconfont icon-chakan"></i>查看</span>';
									content += '<span class="delete"><i class="iconfont icon-shanchu"></i>删除</span>';
								}
								content += '</div></li></ul>';
							}
						} else if(urlId == 'url../lunzhuan/yijibaogao.html') {
							for(var i = 0; i < data.length; i++) {
								content += '<ul class="mui-table-view act-ul" id="' + data[i].lngUserDocumentID + '"><li class="mui-table-view-cell">' +
									'<p>所在科室：<span>' + data[i].strDepartmentName + '</span></p>' +
									'<p>书写时间：<span>' + data[i].strCreateTime + '</span></p>' +
									'<p>文献类型：<span>' + data[i].strType + '</span></p>' +
									'<p>病人信息：<span>' + data[i].strPatientInfo + '</span></p>' +
									'<p>就诊号：<span>' + data[i].strPatientNumber + '</span></p>' +
									'<p>主要诊断：<span>' + data[i].strDisease1 + '</span></p>';
								var dgst = shenheqingk(data[i].lngUserDocumentID);
								content += dgst;
								content += '<div class="act-icon">';
								if(data[i].ISEdit == 'No') {
									content += '<span class="chankan"><i class="iconfont icon-chakan"></i>查看</span>';
								} else {
									content += '<span class="xiugai"><i class="iconfont icon-kaoqin"></i>修改</span>';
									content += '<span class="chankan"><i class="iconfont icon-chakan"></i>查看</span>';
									content += '<span class="delete"><i class="iconfont icon-shanchu"></i>删除</span>';
								}
								content += '</div></li></ul>';
							}
						} else if(urlId == 'url../lunzhuan/qiangjiu.html') {
							for(var i = 0; i < data.length; i++) {
								content += '<ul class="mui-table-view act-ul" id="' + data[i].lngUserDocumentID + '"><li class="mui-table-view-cell">' +
									'<p>所在科室：<span>' + data[i].strDepartmentName + '</span></p>' +
									'<p>书写时间：<span>' + data[i].strCreateTime + '</span></p>' +
									'<p>文献类型：<span>' + data[i].strType + '</span></p>' +
									'<p>病人信息：<span>' + data[i].strPatientInfo + '</span></p>' +
									'<p>就诊号：<span>' + data[i].strPatientNumber + '</span></p>' +
									'<p>抢救时间：<span>' + data[i].strOperateTime + '</span></p>' +
									'<p>转归情况：<span>' + data[i].strTransInfo + '</span></p>';
								var dgst = shenheqingk(data[i].lngUserDocumentID);
								content += dgst;
								content += '<div class="act-icon">';
								if(data[i].ISEdit == 'No') {
									content += '<span class="chankan"><i class="iconfont icon-chakan"></i>查看</span>';
								} else {
									content += '<span class="xiugai"><i class="iconfont icon-kaoqin"></i>修改</span>';
									content += '<span class="chankan"><i class="iconfont icon-chakan"></i>查看</span>';
									content += '<span class="delete"><i class="iconfont icon-shanchu"></i>删除</span>';
								}
								content += '</div></li></ul>';
							}
						} else if(urlId == 'url../lunzhuan/jiaoxuechafang.html') {
							for(var i = 0; i < data.length; i++) {
								content += '<ul class="mui-table-view act-ul" id="' + data[i].lngUserDocumentID + '"><li class="mui-table-view-cell">' +
									'<p>所在科室：<span>' + data[i].strDepartmentName + '</span></p>' +
									'<p>书写时间：<span>' + data[i].strCreateTime + '</span></p>' +
									'<p>文献类型：<span>' + data[i].strType + '</span></p>' +
									'<p>教学查房名称：<span>' + data[i].strTitle + '</span></p>' +
									'<p>教学查房时间：<span>' + data[i].strOperateTime + '</span></p>' +
									'<p>主讲人：<span>' + data[i].strTeachPerson + '</span></p>';
								var dgst = shenheqingk(data[i].lngUserDocumentID);
								content += dgst;
								content += '<div class="act-icon">';
								if(data[i].ISEdit == 'No') {
									content += '<span class="chankan"><i class="iconfont icon-chakan"></i>查看</span>';
								} else {
									content += '<span class="xiugai"><i class="iconfont icon-kaoqin"></i>修改</span>';
									content += '<span class="chankan"><i class="iconfont icon-chakan"></i>查看</span>';
									content += '<span class="delete"><i class="iconfont icon-shanchu"></i>删除</span>';
								}
								content += '</div></li></ul>';
							}
						} else if(urlId == 'url../lunzhuan/jiangzuo.html') {
							for(var i = 0; i < data.length; i++) {
								content += '<ul class="mui-table-view act-ul" id="' + data[i].lngUserDocumentID + '"><li class="mui-table-view-cell">' +
									'<p>所在科室：<span>' + data[i].strDepartmentName + '</span></p>' +
									'<p>书写时间：<span>' + data[i].strCreateTime + '</span></p>' +
									'<p>文献类型：<span>' + data[i].strType + '</span></p>' +
									'<p>讲座名称：<span>' + data[i].strTitle + '</span></p>' +
									'<p>讲座时间：<span>' + data[i].strOperateTime + '</span></p>' +
									'<p>主讲人：<span>' + data[i].strTeachPerson + '</span></p>';
								var dgst = shenheqingk(data[i].lngUserDocumentID);
								content += dgst;
								content += '<div class="act-icon">';
								if(data[i].ISEdit == 'No') {
									content += '<span class="chankan"><i class="iconfont icon-chakan"></i>查看</span>';
								} else {
									content += '<span class="xiugai"><i class="iconfont icon-kaoqin"></i>修改</span>';
									content += '<span class="chankan"><i class="iconfont icon-chakan"></i>查看</span>';
									content += '<span class="delete"><i class="iconfont icon-shanchu"></i>删除</span>';
								}
								content += '</div></li></ul>';
							}
						} else if(urlId == 'url../lunzhuan/yinanbingli.html') {
							for(var i = 0; i < data.length; i++) {
								content += '<ul class="mui-table-view act-ul" id="' + data[i].lngUserDocumentID + '"><li class="mui-table-view-cell">' +
									'<p>所在科室：<span>' + data[i].strDepartmentName + '</span></p>' +
									'<p>书写时间：<span>' + data[i].strCreateTime + '</span></p>' +
									'<p>文献类型：<span>' + data[i].strType + '</span></p>' +
									'<p>病人信息：<span>' + data[i].strPatientInfo + '</span></p>' +
									'<p>讨论地点：<span>' + data[i].strPatientNumber + '</span></p>' +
									'<p>讨论时间：<span>' + data[i].strOperateTime + '</span></p>' +
									'<p>讨论主题：<span>' + data[i].strTitle + '</span></p>';
								var dgst = shenheqingk(data[i].lngUserDocumentID);
								content += dgst;
								content += '<div class="act-icon">';
								if(data[i].ISEdit == 'No') {
									content += '<span class="chankan"><i class="iconfont icon-chakan"></i>查看</span>';
								} else {
									content += '<span class="xiugai"><i class="iconfont icon-kaoqin"></i>修改</span>';
									content += '<span class="chankan"><i class="iconfont icon-chakan"></i>查看</span>';
									content += '<span class="delete"><i class="iconfont icon-shanchu"></i>删除</span>';
								}
								content += '</div></li></ul>';
							}
						} else if(urlId == 'url../lunzhuan/siwangbingli.html') {
							for(var i = 0; i < data.length; i++) {
								content += '<ul class="mui-table-view act-ul" id="' + data[i].lngUserDocumentID + '"><li class="mui-table-view-cell">' +
									'<p>所在科室：<span>' + data[i].strDepartmentName + '</span></p>' +
									'<p>书写时间：<span>' + data[i].strCreateTime + '</span></p>' +
									'<p>文献类型：<span>' + data[i].strType + '</span></p>' +
									'<p>病人信息：<span>' + data[i].strPatientInfo + '</span></p>' +
									'<p>讨论地点：<span>' + data[i].strPatientNumber + '</span></p>' +
									'<p>讨论时间：<span>' + data[i].strOperateTime + '</span></p>' +
									'<p>讨论主题：<span>' + data[i].strTitle + '</span></p>';
								var dgst = shenheqingk(data[i].lngUserDocumentID);
								content += dgst;
								content += '<div class="act-icon">';
								if(data[i].ISEdit == 'No') {
									content += '<span class="chankan"><i class="iconfont icon-chakan"></i>查看</span>';
								} else {
									content += '<span class="xiugai"><i class="iconfont icon-kaoqin"></i>修改</span>';
									content += '<span class="chankan"><i class="iconfont icon-chakan"></i>查看</span>';
									content += '<span class="delete"><i class="iconfont icon-shanchu"></i>删除</span>';
								}
								content += '</div></li></ul>';
							}
						} else if(urlId == 'url../lunzhuan/huizhen.html') {
							for(var i = 0; i < data.length; i++) {
								content += '<ul class="mui-table-view act-ul" id="' + data[i].lngUserDocumentID + '"><li class="mui-table-view-cell">' +
									'<p>所在科室：<span>' + data[i].strDepartmentName + '</span></p>' +
									'<p>书写时间：<span>' + data[i].strCreateTime + '</span></p>' +
									'<p>文献类型：<span>' + data[i].strType + '</span></p>' +
									'<p>病人信息：<span>' + data[i].strPatientInfo + '</span></p>' +
									'<p>住院号：<span>' + data[i].strPatientNumber + '</span></p>' +
									'<p>会诊时间：<span>' + data[i].strOperateTime + '</span></p>' +
									'<p>会诊名称：<span>' + data[i].strTitle + '</span></p>';
								var dgst = shenheqingk(data[i].lngUserDocumentID);
								content += dgst;
								content += '<div class="act-icon">';
								if(data[i].ISEdit == 'No') {
									content += '<span class="chankan"><i class="iconfont icon-chakan"></i>查看</span>';
								} else {
									content += '<span class="xiugai"><i class="iconfont icon-kaoqin"></i>修改</span>';
									content += '<span class="chankan"><i class="iconfont icon-chakan"></i>查看</span>';
									content += '<span class="delete"><i class="iconfont icon-shanchu"></i>删除</span>';
								}
								content += '</div></li></ul>';
							}
						} else if(urlId == 'url../lunzhuan/keyanjilu.html') {
							for(var i = 0; i < data.length; i++) {
								content += '<ul class="mui-table-view act-ul" id="' + data[i].lngUserDocumentID + '"><li class="mui-table-view-cell">' +
									'<p>所在科室：<span>' + data[i].strDepartmentName + '</span></p>' +
									'<p>书写时间：<span>' + data[i].strCreateTime + '</span></p>' +
									'<p>文献类型：<span>' + data[i].strType + '</span></p>' +
									'<p>科研名称：<span>' + data[i].strTitle + '</span></p>' +
									'<p>带头人：<span>' + data[i].strTeachPerson + '</span></p>';
								var dgst = shenheqingk(data[i].lngUserDocumentID);
								content += dgst;
								content += '<div class="act-icon">';
								if(data[i].ISEdit == 'No') {
									content += '<span class="chankan"><i class="iconfont icon-chakan"></i>查看</span>';
								} else {
									content += '<span class="xiugai"><i class="iconfont icon-kaoqin"></i>修改</span>';
									content += '<span class="chankan"><i class="iconfont icon-chakan"></i>查看</span>';
									content += '<span class="delete"><i class="iconfont icon-shanchu"></i>删除</span>';
								}
								content += '</div></li></ul>';
							}
						} else if(urlId == 'url../lunzhuan/lunwen.html') {
							for(var i = 0; i < data.length; i++) {
								content += '<ul class="mui-table-view act-ul" id="' + data[i].lngUserDocumentID + '"><li class="mui-table-view-cell">' +
									'<p>所在科室：<span>' + data[i].strDepartmentName + '</span></p>' +
									'<p>书写时间：<span>' + data[i].strCreateTime + '</span></p>' +
									'<p>文献类型：<span>' + data[i].strType + '</span></p>' +
									'<p>论文名称：<span>' + data[i].strTitle + '</span></p>' +
									'<p>发表时间：<span>' + data[i].strOperateTime + '</span></p>'+
									'<p>出版刊物：<span>' + data[i].strContent + '</span></p>';
								var dgst = shenheqingk(data[i].lngUserDocumentID);
								content += dgst;
								content += '<div class="act-icon">';
								if(data[i].ISEdit == 'No') {
									content += '<span class="chankan"><i class="iconfont icon-chakan"></i>查看</span>';
								} else {
									content += '<span class="xiugai"><i class="iconfont icon-kaoqin"></i>修改</span>';
									content += '<span class="chankan"><i class="iconfont icon-chakan"></i>查看</span>';
									content += '<span class="delete"><i class="iconfont icon-shanchu"></i>删除</span>';
								}
								content += '</div></li></ul>';
							}
						} else if(urlId == 'url../lunzhuan/zhidao.html') {
							for(var i = 0; i < data.length; i++) {
								content += '<ul class="mui-table-view act-ul" id="' + data[i].lngUserDocumentID + '"><li class="mui-table-view-cell">' +
									'<p>所在科室：<span>' + data[i].strDepartmentName + '</span></p>' +
									'<p>书写时间：<span>' + data[i].strCreateTime + '</span></p>' +
									'<p>文献类型：<span>' + data[i].strType + '</span></p>' +
									'<p>指导方式：<span>' + data[i].strGuidanceMethod + '</span></p>' +
									'<p>指导时间：<span>' + data[i].strOperateTime + '</span></p>';
								var dgst = shenheqingk(data[i].strOperateTime);
								content += dgst;
								content += '<div class="act-icon">';
								if(data[i].ISEdit == 'No') {
									content += '<span class="chankan"><i class="iconfont icon-chakan"></i>查看</span>';
								} else {
									content += '<span class="xiugai"><i class="iconfont icon-kaoqin"></i>修改</span>';
									content += '<span class="chankan"><i class="iconfont icon-chakan"></i>查看</span>';
									content += '<span class="delete"><i class="iconfont icon-shanchu"></i>删除</span>';
								}
								content += '</div></li></ul>';
							}
						}
						if(data.length == 0) {
							mui.toast('<没有相关数据!>');
						}
						lunzhuanc.innerHTML = content;
						//修改页面
						mui.plusReady(function() {
							var strType;
							mui(".act-ul .act-icon").on('tap', '.xiugai', function() {
								document.getElementById("loimg").style.display = 'block';
								var urlId = plus.webview.currentWebview().id;
								var ids = this.parentNode.parentNode.parentNode.getAttribute("id");
								if(urlId == 'url../lunzhuan/bingli.html') {
									userurl = 'binglixs.html';
									userid = 'binglixs';
									strType = 1;
								} else if(urlId == 'url../lunzhuan/caozuo.html') {
									userurl = 'caozuoxs.html';
									userid = 'caozuoxs';
									strType = 2;
								} else if(urlId == 'url../lunzhuan/menzhen.html') {
									userurl = 'menzhenxs.html';
									userid = 'menzhenxs';
									strType = 3;
								} else if(urlId == 'url../lunzhuan/menzhencaozuo.html') {
									userurl = 'menzhencaozuoxs.html';
									userid = 'menzhencaozuoxs';
									strType = 4;
								} else if(urlId == 'url../lunzhuan/menzhenshoushu.html') {
									userurl = 'menzhenshoushuxs.html';
									userid = 'menzhenshoushuxs';
									strType = 5;
								} else if(urlId == 'url../lunzhuan/shoushu.html') {
									userurl = 'shoushuxs.html';
									userid = 'shoushuxs';
									strType = 6;
								} else if(urlId == 'url../lunzhuan/jizhen.html') {
									userurl = 'jizhenxs.html';
									userid = 'jizhenxs';
									strType = 7;
								} else if(urlId == 'url../lunzhuan/yijibaogao.html') {
									userurl = 'yijibaogaoxs.html';
									userid = 'yijibaogaoxs';
									strType = 8;
								} else if(urlId == 'url../lunzhuan/qiangjiu.html') {
									userurl = 'qiangjiuxs.html';
									userid = 'qiangjiuxs';
									strType = 9;
								} else if(urlId == 'url../lunzhuan/jiaoxuechafang.html') {
									userurl = 'jiaoxuechafangxs.html';
									userid = 'jiaoxuechafangxs';
									strType = 10;
								} else if(urlId == 'url../lunzhuan/jiangzuo.html') {
									userurl = 'jiangzuoxs.html';
									userid = 'jiangzuoxs';
									strType = 11;
								} else if(urlId == 'url../lunzhuan/yinanbingli.html') {
									userurl = 'yinanbinglixs.html';
									userid = 'yinanbinglixs';
									strType = 12;
								} else if(urlId == 'url../lunzhuan/siwangbingli.html') {
									userurl = 'siwangbinglixs.html';
									userid = 'siwangbinglixs';
									strType = 13;
								} else if(urlId == 'url../lunzhuan/huizhen.html') {
									userurl = 'huizhenxs.html';
									userid = 'huizhenxs';
									strType = 14;
								} else if(urlId == 'url../lunzhuan/keyanjilu.html') {
									userurl = 'keyanjiluxs.html';
									userid = 'keyanjiluxs';
									strType = 15;
								} else if(urlId == 'url../lunzhuan/lunwen.html') {
									userurl = 'lunwenxs.html';
									userid = 'lunwenxs';
									strType = 16;
								} else if(urlId == 'url../lunzhuan/zhidao.html') {
									userurl = 'zhidaoxs.html';
									userid = 'zhidaoxs';
									strType = 17;
								}
								setTimeout(function() {
									document.getElementById("loimg").style.display = 'none';
									mui.openWindow({
										url: userurl,
										id: userid,
										show: {
											aniShow: 'pop-in',
											duration: 500
										},
										waiting: {
											autoShow: false
										},
										extras: {
											ids: ids
										}
									});
								}, 1000)
							});
							//详情页面
							mui(".act-ul .act-icon").on('tap', '.chankan', function() {
								document.getElementById("loimg").style.display = 'block';
								var urlId = plus.webview.currentWebview().id;
								var ids = this.parentNode.parentNode.parentNode.getAttribute("id");
								if(urlId == 'url../lunzhuan/bingli.html') {
									strType = 1;
								} else if(urlId == 'url../lunzhuan/caozuo.html') {
									strType = 2;
								} else if(urlId == 'url../lunzhuan/menzhen.html') {
									strType = 3;
								} else if(urlId == 'url../lunzhuan/menzhencaozuo.html') {
									strType = 4;
								} else if(urlId == 'url../lunzhuan/menzhenshoushu.html') {
									strType = 5;
								} else if(urlId == 'url../lunzhuan/shoushu.html') {
									strType = 6;
								} else if(urlId == 'url../lunzhuan/jizhen.html') {
									strType = 7;
								} else if(urlId == 'url../lunzhuan/yijibaogao.html') {
									strType = 8;
								} else if(urlId == 'url../lunzhuan/qiangjiu.html') {
									strType = 9;
								} else if(urlId == 'url../lunzhuan/jiaoxuechafang.html') {
									strType = 10;
								} else if(urlId == 'url../lunzhuan/jiangzuo.html') {
									strType = 11;
								} else if(urlId == 'url../lunzhuan/yinanbingli.html') {
									strType = 12;
								} else if(urlId == 'url../lunzhuan/siwangbingli.html') {
									strType = 13;
								} else if(urlId == 'url../lunzhuan/huizhen.html') {
									strType = 14;
								} else if(urlId == 'url../lunzhuan/keyanjilu.html') {
									strType = 15;
								} else if(urlId == 'url../lunzhuan/lunwen.html') {
									strType = 16;
								} else if(urlId == 'url../lunzhuan/zhidao.html') {
									strType = 17;
								}
								setTimeout(function() {
									document.getElementById("loimg").style.display = 'none';
									mui.openWindow({
										url: 'bingli-tail.html',
										id: 'bingli-tail',
										show: {
											aniShow: 'pop-in',
											duration: 500
										},
										waiting: {
											autoShow: false
										},
										extras: {
											ids: ids,
											strType: strType
										}
									});
								}, 1000)
							});
							//删除数据
							mui(".act-ul .act-icon").on('tap', '.delete', function() {
								var ids = this.parentNode.parentNode.parentNode.getAttribute("id");
								var xiugaiInfo = {
									edit: 5,
									id: ids,
									ty: 4
								}
								var url5 = localStorage.getItem('srvurl') + 'phone/phoneAPI/UserDepartDocumentCardType.ashx?guid=' + app.getToken();
								mui.ajax({
									url: url5,
									dataType: 'json',
									data: xiugaiInfo,
									type: 'post',
									timeout: 1000,
									processData: true,
									async: true,
									contentType: 'application/x-www-form-urlencoded;charset=utf-8',
									success: function(data) {
										jQuery("#" + ids).slideUp();
										mui.toast('删除成功!');
									},
									error: function(XMLHttpRequest, textStatus, errorThrown) {
										return;
									}
								});
							});
						});
					}, 1000)
				},
				error: function(XMLHttpRequest, textStatus, errorThrown) {
					console.log(JSON.stringify(XMLHttpRequest))
					setTimeout(function() {
						document.getElementById("loimg").style.display = 'none';
					}, 1000)
					return;
				}
			});
		});

		function lunzaqingk(lgusid) {
			var url2 = localStorage.getItem('srvurl') + 'phone/phoneAPI/GetCheckH.ashx?guid=' + app.getToken() + '&id=' + lgusid + '&type=4';
			mui.ajax({
				url: url2,
				dataType: 'json',
				type: 'post',
				timeout: 1000,
				processData: true,
				async: true,
				contentType: 'application/x-www-form-urlencoded;charset=utf-8',
				success: function(data) {},
				error: function(xhr, type, errorThrown) {
					return;
				}
			});
		}
		//获取文献审核情况
		function shenheqingk(ids) {
			var str1 = '';
			var chaxunInfo = {
				ty: 4,
				id: ids
			}
			var url7 = localStorage.getItem('srvurl') + 'phone/phoneAPI/GetCheckH.ashx?guid=' + app.getToken();
			mui.ajax({
				url: url7,
				dataType: 'json',
				data: chaxunInfo,
				type: 'post',
				timeout: 1000,
				processData: true,
				async: false,
				contentType: 'application/x-www-form-urlencoded;charset=utf-8',
				success: function(data) {
					str1 = '<p><span>' + data + '</span></p>';
				},
				error: function(XMLHttpRequest, textStatus, errorThrown) {
					return;
				}
			});
			return str1;
		}
	});
})(mui, document);