mui.init()
	(function($, doc) {
		$.ready(function() {
			//------------------区域滑动---------------------//
			mui('.mui-scroll-wrapper').scroll({
				deceleration: 0.0005 //flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006
			});
			mui('.mui-scroll-wrapper').scroll();
			mui('body').on('shown', '.mui-popover', function(e) {
				//console.log('shown', e.detail.id);//detail为当前popover元素
			});
			mui('body').on('hidden', '.mui-popover', function(e) {
				//console.log('hidden', e.detail.id);//detail为当前popover元素
			});
			//查询
			document.getElementById("lunsearch").addEventListener('tap', function() {
				document.getElementById("loimg").style.display = 'block';
				var itemse = document.getElementById("itemsel");
				var lunzhuanc = document.getElementById("lunzhuanc");
				var submitInfo = {
					deparmentid: itemsel.value,
					DocTypeList: '入科教育',
					ty: '4',
					submit: true
				}
				var url = localStorage.getItem('srvurl') + 'phone/phoneAPI/UserDocumentList.ashx?guid=' + app.getToken();
				mui.ajax({
					url: url,
					data: submitInfo,
					dataType: 'json',
					type: 'post',
					timeout: 1000,
					processData: true,
					async: true,
					contentType: 'application/x-www-form-urlencoded;charset=utf-8',
					success: function(data) {
						setTimeout(function() {
							document.getElementById("loimg").style.display = 'none';
							var content = '';
							if(data.length == 0) {
								mui.toast('<没有相关数据!>');
							}
							for(var i = 0; i < data.length; i++) {
								content += '<ul class="mui-table-view act-ul" id="' + data[i].lngUserDepartBeginStudyTableID + '" data-refe="' + data[i].BeginPaperCheck + '"><li class="mui-table-view-cell">' +
									'<p>学员姓名：<span>' + data[i].strUserName + '</span></p>' +
									'<p>规培专业：<span>' + data[i].strTrainDepartmentName + '</span></p>' +
									'<p>所在科室：<span>' + data[i].strDepartmentName + '</span></p>' +
									'<p>入科教育时间：<span>' + data[i].strStudyTime + '</span></p>' +
									'<p>讲解人：<span>' + data[i].strTeachName + '</span></p>' +
									'<p>填写时间：<span>' + data[i].strWriteTime + '</span></p>' +
									'<p>讲解内容：<span>' + data[i].strContent + '</span></p>' +
									'<div class="act-icon">';
								if(data[i].ISEdit == 'OK') {
									content += '<span class="xiugai"><i class="iconfont icon-kaoqin"></i>修改</span>' +
										'<span class="chankan"><i class="iconfont icon-chakan"></i>查看</span>' +
										'<span class="delete"><i class="iconfont icon-shanchu"></i>删除</span>';
								} else if(data[i].ISEdit == 'No') {
									content += '<span class="chankan"><i class="iconfont icon-chakan"></i>查看</span>';
								}
								content += '</div></li></ul>';
							}
							lunzhuanc.innerHTML = content;
							//					修改页面
							mui.plusReady(function() {
								mui(".act-ul .act-icon").on('tap', '.xiugai', function() {
									var ids = this.parentNode.parentNode.parentNode.getAttribute("id");
									document.getElementById("loimg").style.display = 'block';
									setTimeout(function() {
										document.getElementById("loimg").style.display = 'none';
										var urlId = plus.webview.currentWebview().id;
										mui.openWindow({
											url: 'rukejiaoyuxs.html',
											id: 'rukejiaoyuxs',
											show: {
												aniShow: 'pop-in',
												duration: 500
											},
											waiting: {
												autoShow: false
											},
											extras: {
												ids: ids
											}
										});
									}, 500)
								});
								//详情页面
								mui(".act-ul .act-icon").on('tap', '.chankan', function() {
									var urlId = plus.webview.currentWebview().id;
									var ids = this.parentNode.parentNode.parentNode.getAttribute("id");
									var contdata = this.parentNode.parentNode.parentNode.getAttribute("data-refe");
									document.getElementById("loimg").style.display = 'block';
									setTimeout(function() {
										document.getElementById("loimg").style.display = 'none';
										mui.openWindow({
											url: 'rukejiaoyu-tail.html',
											id: 'rukejiaoyu-tail',
											show: {
												aniShow: 'pop-in',
												duration: 500
											},
											waiting: {
												autoShow: false
											},
											extras: {
												ids: ids,
												contdata: contdata
											}
										});
									}, 500)
								});
								//删除数据
								mui(".act-ul .act-icon").on('tap', '.delete', function() {
									var ids = this.parentNode.parentNode.parentNode.getAttribute("id");
									var xiugaiInfo = {
										edit: 2,
										id: ids,
									}
									var url5 = localStorage.getItem('srvurl') + 'phone/phoneAPI/UserDepartBeginPaperCardType.ashx?guid=' + app.getToken();
									mui.ajax({
										url: url5,
										dataType: 'json',
										data: xiugaiInfo,
										type: 'post',
										timeout: 1000,
										processData: true,
										async: true,
										contentType: 'application/x-www-form-urlencoded;charset=utf-8',
										success: function(data) {
											jQuery("#" + ids).slideUp();
											mui.toast('删除成功!');
										},
										error: function(XMLHttpRequest, textStatus, errorThrown) {
											return;
										}
									});
								});
							});
						}, 500)
					},
					error: function(XMLHttpRequest, textStatus, errorThrown) {
						setTimeout(function() {
							document.getElementById("loimg").style.display = 'none';
						}, 500)
						return;
					}
				});
			})
			//提交
			document.getElementById('submit').addEventListener('tap', function(event) {
				var OperateTime = document.getElementById("startime").value;
				var teachName = document.getElementById("teachName");
				var Content = document.getElementById("Content");
				if(teachName.value == "") {
					mui.toast('<请输入讲解人!>');
				} else {
					if(Content.value == "") {
						mui.toast('<请输入讲解内容!>');
					} else {
						var submitInfo = {
							studyTime: OperateTime,
							teachName: teachName.value,
							content: Content.value,
							ty: 4,
							submit: true
						}
						var url6 = localStorage.getItem('srvurl') + 'phone/phoneAPI/UserBeginPaperCard.ashx?guid=' + app.getToken();
						mui.ajax({
							url: url6,
							data: submitInfo,
							dataType: 'json',
							type: 'post',
							timeout: 1000,
							processData: true,
							async: true,
							contentType: 'application/x-www-form-urlencoded;charset=utf-8',
							success: function(data) {
								mui.alert('提交成功', function() {
									window.location = window.location;
								});
							},
							error: function(XMLHttpRequest, textStatus, errorThrown) {
								if(XMLHttpRequest.status == 200) {
									mui.alert('提交成功', function() {
										window.location = window.location;
									});
								} else {
									mui.toast('<提交失败!>');
								}
							}
						});
					}
				}
			});
		})
	})(mui, document)