//初始化页面
mui.plusReady(function() {
	//获取GUID
	var strGUID = app.getToken();
	var strdiap = app.getLogin();
	var leixn = strManagerInfoType(strdiap.rl);
	var page = 1;
	mui.init({
		pullRefresh: {
			container: "#display", //待刷新区域标识，querySelector能定位的css选择器均可，比如：id、.class等  
			up: { //上拉加载
				auto: false, //可选,默认false.自动上拉加载一次
				contentrefresh: '',
				contentnomore: '', //可选，请求完毕若没有更多数据时显示的提醒内容；
				callback: showlist
			}
		}
	});
	//判断是否隐藏下拉框中的轮转手册
	document.getElementById('wenxian').style.display = 'none';
	document.getElementById('audit-type').addEventListener('change', function() {
		var auditType = document.getElementById('audit-type').value;
		if(auditType == '轮转手册') {
			document.getElementById('wenxian').style.display = '';
		} else {
			document.getElementById('wenxian').style.display = 'none';
		}
	});
	//获取管理员信息
	var LoginInfo = app.getLogin();
	var strManagerInfoType1 = LoginInfo.rl;
	var typ = strManagerInfoType(strManagerInfoType1);
	var auditType = document.getElementById('audit-type');
	if(typ == 1) {
		var content = '<option>入科</option>' +
			'<option>出科</option>' +
			'<option>结业</option>' +
			'<option>请假</option>' +
			'<option>销假</option>' +
			'<option>轮转手册</option>';
		auditType.innerHTML = content
	} else {
		var content = '<option>入科</option>' +
			'<option>出科</option>' +
			'<option>请假</option>' +
			'<option>销假</option>' +
			'<option>轮转手册</option>';
		auditType.innerHTML = content
	}

	//搜索
	document.getElementById('seekbtn3').addEventListener('tap', function() {
		document.getElementById('xiaojia').innerHTML = '';
		page = 1;
		showlist();
	});

	function showlist() {
		document.getElementById("loimg").style.display = 'block';
		var auditType = document.getElementById('audit-type').value;
		var queryType = document.getElementById('query-type').value;
		var queryContent = document.getElementById('strcontent1').value;
		var auditStatus = document.getElementById('audit-status').value;
		var literature1 = document.getElementById('wenxian1').value;
		var literature = document.getElementById('wenxian');
		var xiaojia = document.getElementById('xiaojia');
		if(auditType == '销假') {
			var txtvalue;
			if(queryType == '学员姓名') {
				txtvalue = 1;
			} else if(queryType == '学员编号') {
				txtvalue = 2;
			} else {
				txtvalue = 3;
			}
			var url1 = localStorage.getItem('srvurl') + 'phone/phoneAPI/ManagerBackLeaveChecklist.ashx?guid=' + strGUID + '&submit=1&ty=' + typ + '&txtNameOrPhone=' + txtvalue + '&strStatus=' + auditStatus + '&txtUserName=' + queryContent;
			mui.ajax(url1, {
				dataType: 'json',
				type: 'post',
				timeout: 5000,
				processData: true,
				async: false, //异步
				success: function(data) {
					var content = '';
					if(data == '') {
						if(page == 1) {
							mui.toast('对不起！没有你要查看的数据');
							mui('#display').pullRefresh().endPullupToRefresh(true);
						} else {
							mui.toast('已经到底了！');
							mui('#display').pullRefresh().endPullupToRefresh(false);
						}
					} else {
						for(var i = data.length - 1; i >= 0; i--) {
							content += '<li class="mui-table-view-cell" id="' + data[i].lngUserLeaveBackID + '">';
							content += '<p>学员姓名：<span>' + data[i].strUserName + '</span></p>';
							content += '<p>规培专业：<span>' + data[i].strTrainDepartmentName + '</span></p>';
							content += '<p>所在科室：<span>' + data[i].strDepartmentName + '</span></p><br />';
							content += '<p>申请时间：<span>' + data[i].strLeaveTime + '</span></p>';
							content += '<p>假期性质：<span>' + data[i].strType + '</span></p>';
							content += '<div class="act-icon">';
							content += '<span class="See"><i class="iconfont icon-chakan"></i>查看</span>';
							content += '<span class="shenhe"><i class="iconfont icon-chakan"></i>审核</span>';
							content += '</div>';
							content += '</li>';
						}
						mui('#display').pullRefresh().endPullupToRefresh(false);
						page++;
					}
					xiaojia.innerHTML = content;
					if(auditStatus == '待审核') {
						jQuery('.See').css('display', 'none');
					} else {
						jQuery('.shenhe').css('display', 'none');
					}
					setTimeout(function() {
						document.getElementById("loimg").style.display = 'none';
					}, 1000)
				},
				error: function(xhr, type, errorThrown) {
					setTimeout(function() {
						document.getElementById("loimg").style.display = 'none';
					}, 1000)
					mui.toast('网络连接异常，请稍后再试！');
				}
			});
		} else {
			//请求数据
			if(auditType == '轮转手册') {
				if(queryContent == '') {
					var url2 = localStorage.getItem('srvurl') + 'phone/phoneAPI/TrainUserAllCheckList.ashx?guid=' + strGUID + '&submit=true&ty=' + typ + '&allType=' + auditType + '&State=' + auditStatus + '&docType=' + literature1 + '&pageIndex=' + page + '&pageSize=20';
				} else {
					var url2 = localStorage.getItem('srvurl') + 'phone/phoneAPI/TrainUserAllCheckList.ashx?guid=' + strGUID + '&submit=true&ty=' + typ + '&allType=' + auditType + '&State=' + auditStatus + '&docType=' + literature1 + '&allloginName=' + queryType + '&Context=' + queryContent + '&pageIndex=' + page + '&pageSize=20';
				}
			} else {
				if(queryContent == '') {
					var url2 = localStorage.getItem('srvurl') + 'phone/phoneAPI/TrainUserAllCheckList.ashx?guid=' + strGUID + '&submit=true&ty=' + typ + '&allType=' + auditType + '&State=' + auditStatus + '&pageIndex=' + page + '&pageSize=20';
				} else {
					var url2 = localStorage.getItem('srvurl') + 'phone/phoneAPI/TrainUserAllCheckList.ashx?guid=' + strGUID + '&submit=true&ty=' + typ + '&allType=' + auditType + '&State=' + auditStatus + '&allloginName=' + queryType + '&Context=' + queryContent + '&pageIndex=' + page + '&pageSize=20';
				}
			}
			mui.ajax(url2, {
				dataType: 'json',
				type: 'post',
				timeout: 5000,
				processData: true,
				async: false, //异步
				success: function(data) {
					var content = '';
					if(data == '') {
						if(page == 1) {
							mui.toast('对不起！没有你要查看的数据');
							mui('#display').pullRefresh().endPullupToRefresh(true);
						} else {
							mui.toast('已经到底了！');
							mui('#display').pullRefresh().endPullupToRefresh(false);
						}
					} else {
						if(auditType == '出科') {
							for(var i = data.length - 1; i >= 0; i--) {
								content += '<li class="mui-table-view-cell" id="' + data[i].lngUserDepartEndID + '">';
								content += '<p>学员姓名：<span>' + data[i].strUserName + '</span></p>';
								content += '<p>登录号码：<span>' + data[i].strUserCode + '</span></p>';
								content += '<p>规培专业：<span>' + data[i].strTrainDepartmentName + '</span></p>';
								content += '<p>所在科室：<span>' + data[i].strDepartmentName + '</span></p><br />';
								content += '<p>申请时间：<span>' + data[i].strUserTime + '</span></p>';
								content += '<div class="act-icon">';
								content += '<span class="See"><i class="iconfont icon-chakan"></i>查看</span>';
								content += '<span class="shenhe"><i class="iconfont icon-chakan"></i>审核</span>';
								content += '</div>';
								content += '</li>';
							}
						} else if(auditType == '入科') {
							for(var i = data.length - 1; i >= 0; i--) {
								content += '<li class="mui-table-view-cell" id="' + data[i].lngUserDepartBeginStudyTableID + '">';
								content += '<p>学员姓名：<span>' + data[i].strUserName + '</span></p>';
								content += '<p>登录号码：<span>' + data[i].strUserCode + '</span></p>';
								content += '<p>规培专业：<span>' + data[i].strTrainDepartmentName + '</span></p>';
								content += '<p>所在科室：<span>' + data[i].strDepartmentName + '</span></p><br />';
								content += '<p>入科时间：<span>' + data[i].strStudyTime + '</span></p>';
								content += '<p>填写时间：<span>' + data[i].strWriteTime + '</span></p>';
								content += '<p>主讲人：<span>' + data[i].strTeachName + '</span></p>';
								content += '<div class="act-icon">';
								content += '<span class="See"><i class="iconfont icon-chakan"></i>查看</span>';
								content += '<span class="shenhe"><i class="iconfont icon-chakan"></i>审核</span>';
								content += '</div>';
								content += '</li>';
							}
						} else if(auditType == '结业') {
							for(var i = data.length - 1; i >= 0; i--) {
								content += '<li class="mui-table-view-cell" id="' + data[i].lngUserHospitalEndID + '">';
								content += '<p>学员姓名：<span>' + data[i].strUserName + '</span></p>';
								content += '<p>规培专业：<span>' + data[i].strTrainDepartmentName + '</span></p>';
								content += '<p>申请时间：<span>' + data[i].strTime + '</span></p>';
								content += '<div class="act-icon">';
								content += '<span class="See"><i class="iconfont icon-chakan"></i>查看</span>';
								content += '<span class="shenhe"><i class="iconfont icon-chakan"></i>审核</span>';
								content += '</div>';
								content += '</li>';
							}
						} else if(auditType == '请假') {
							for(var i = data.length - 1; i >= 0; i--) {
								var str = data[i].strLeaveTime.replace(/-/g, '/');
								var datem = new Date(str);
								var time = datem.getTime();
								var xiaoshu = (time + data[i].intDayCount * 3600 * 1000 * 24) - 1;
								var xiaoshum = new Date(xiaoshu);
								Y = xiaoshum.getFullYear() + '-';
								M = (xiaoshum.getMonth() + 1 < 10 ? '0' + (xiaoshum.getMonth() + 1) : xiaoshum.getMonth() + 1) + '-';
								D = xiaoshum.getDate();
								if(D < 10) {
									D = "0" + D;
								} else {
									D = D;
								}
								var xiaoshumn = Y + M + D;
								content += '<li class="mui-table-view-cell" id="' + data[i].lngUserLeaveID + '">';
								content += '<p>学员姓名：<span>' + data[i].strUserName + '</span></p>';
								content += '<p>登录号码：<span>' + data[i].strUserCode + '</span></p>';
								content += '<p>规培专业：<span>' + data[i].strTrainDepartmentName + '</span></p>';
								content += '<p>所在科室：<span>' + data[i].strDepartmentName + '</span></p><br />';
								content += '<p>请假时间：<span>' + data[i].strLeaveTime + '</span></p>';
								content += '<p>结束时间：<span>' + xiaoshumn + '</span></p>';
								content += '<p>请假天数：<span>' + data[i].intDayCount + '</span></p>';
								content += '<p>假期性质：<span>' + data[i].strType + '</span></p>';
								content += '<div class="act-icon">';
								content += '<span class="See"><i class="iconfont icon-chakan"></i>查看</span>';
								content += '<span class="shenhe"><i class="iconfont icon-chakan"></i>审核</span>';
								content += '</div>';
								content += '</li>';
							}
						} else {
							for(var i = data.length - 1; i >= 0; i--) {
								content += '<li class="mui-table-view-cell" id="' + data[i].lngUserDocumentID + '">';
								content += '<p>学员姓名：<span>' + data[i].strUserName + '</span></p>';
								content += '<p>规培专业：<span>' + data[i].strTrainDepartmentName + '</span></p>';
								content += '<p>所在科室：<span>' + data[i].strDepartmentName + '</span></p><br />';
								content += '<p>文献类型：<span>' + data[i].strType + '</span></p>';
								if(literature1 == '病例(大病历)') {
									content += '<p>病人姓名：<span>' + data[i].strPatientName + '</span></p>';
									content += '<p>住院号：<span>' + data[i].strADNumber + '</span></p>';
									content += '<p>主要诊断：<span>' + data[i].strTitle + '</span></p>';
								} else if(literature1 == '操作记录') {
									content += '<p>病人姓名：<span>' + data[i].strPatientName + '</span></p>';
									content += '<p>住院号：<span>' + data[i].strADNumber + '</span></p>';
									content += '<p>操作名称：<span>' + data[i].strTitle + '</span></p>';
								} else if(literature1 == '手术记录') {
									content += '<p>病人姓名：<span>' + data[i].strPatientName + '</span></p>';
									content += '<p>住院号：<span>' + data[i].strADNumber + '</span></p>';
									content += '<p>手术名称：<span>' + data[i].strTitle + '</span></p>';
								} else if(literature1 == '门诊操作') {
									content += '<p>病人信息：<span>' + data[i].strPatientInfo + '</span></p>';
									content += '<p>就诊号：<span>' + data[i].strPatientNumber + '</span></p>';
									content += '<p>操作名称：<span>' + data[i].strDisease1 + '</span></p>';
								} else if(literature1 == '门诊手术') {
									content += '<p>病人信息：<span>' + data[i].strPatientInfo + '</span></p>';
									content += '<p>就诊号：<span>' + data[i].strPatientNumber + '</span></p>';
									content += '<p>手术名称：<span>' + data[i].strDisease1 + '</span></p>';
								} else if(literature1 == '门诊诊治' || literature1 == '急诊诊治' || literature1 == '医技报告') {
									content += '<p>病人信息：<span>' + data[i].strPatientInfo + '</span></p>';
									content += '<p>就诊号：<span>' + data[i].strPatientNumber + '</span></p>';
									content += '<p>主要诊断：<span>' + data[i].strDisease1 + '</span></p>';
								} else if(literature1 == '抢救记录') {
									content += '<p>病人信息：<span>' + data[i].strPatientInfo + '</span></p>';
									content += '<p>就诊号：<span>' + data[i].strPatientNumber + '</span></p>';
									content += '<p>抢救时间：<span>' + data[i].strOperateTime + '</span></p>';
									content += '<p>转归情况：<span>' + data[i].strTransInfo + '</span></p>';
								} else if(literature1 == '会诊记录') {
									content += '<p>病人信息：<span>' + data[i].strPatientInfo + '</span></p>';
									content += '<p>住院号：<span>' + data[i].strPatientNumber + '</span></p>';
									content += '<p>会诊时间：<span>' + data[i].strOperateTime + '</span></p>';
									content += '<p>会诊名称：<span>' + data[i].strTitle + '</span></p>';
								} else if(literature1 == '疑难病例讨论记录' || literature1 == '死亡病例讨论记录') {
									content += '<p>病人姓名：<span>' + data[i].strPatientInfo + '</span></p>';
									content += '<p>讨论地点：<span>' + data[i].strPatientNumber + '</span></p>';
									content += '<p>讨论时间：<span>' + data[i].strOperateTime + '</span></p>';
									content += '<p>讨论主题：<span>' + data[i].strTitle + '</span></p>';
								} else if(literature1 == '教学查房') {
									content += '<p>教学查房名称：<span>' + data[i].strTitle + '</span></p>';
									content += '<p>教学查房时间：<span>' + data[i].strOperateTime + '</span></p>';
									content += '<p>主讲人：<span>' + data[i].strTeachPerson + '</span></p>';
								} else if(literature1 == '科研') {
									content += '<p>科研名称：<span>' + data[i].strTitle + '</span></p>';
									content += '<p>带头人：<span>' + data[i].strTeachPerson + '</span></p>';
								} else if(literature1 == '论文') {
									content += '<p>论文名称：<span>' + data[i].strTitle + '</span></p>';
									content += '<p>发表时间：<span>' + data[i].strOperateTime + '</span></p>';
									content += '<p>出版刊物：<span>' + data[i].strContent + '</span></p>';
								} else if(literature1 == '讲座') {
									content += '<p>讲座名称：<span>' + data[i].strTitle + '</span></p>';
									content += '<p>讲座时间：<span>' + data[i].strOperateTime + '</span></p>';
									content += '<p>主讲人：<span>' + data[i].strTeachPerson + '</span></p>';
								} else if(literature1 == '指导记录') {
									content += '<p>指导方式：<span>' + data[i].strGuidanceMethod + '</span></p>';
									content += '<p>指导时间：<span>' + data[i].strOperateTime + '</span></p>';
								}
								content += '<div class="act-icon">';
								content += '<span class="See"><i class="iconfont icon-chakan"></i>查看</span>';
								content += '<span class="shenhe"><i class="iconfont icon-chakan"></i>审核</span>';
								content += '</div>';
								content += '</li>';
							}
						}
						xiaojia.innerHTML += content;
						mui('#display').pullRefresh().endPullupToRefresh(false);
						page++;
					}
					if(auditStatus == '待审核') {
						jQuery('.See').css('display', 'none');
					} else {
						jQuery('.shenhe').css('display', 'none');
					}
					setTimeout(function() {
						document.getElementById("loimg").style.display = 'none';
					}, 1000)
				},
				error: function(xhr, type, errorThrown) {
					setTimeout(function() {
						document.getElementById("loimg").style.display = 'none';
					}, 1000)
					return;
				}
			});
		}

		if(auditType == '入科') {
			//已审核查看	
			mui(".mui-table-view-cell .act-icon").on('tap', '.See', function() {
				document.getElementById("loimg").style.display = 'block';
				var ids = this.parentNode.parentNode.getAttribute("id");
				var lq = document.getElementById('audit-status').value;
				setTimeout(function() {
					document.getElementById("loimg").style.display = 'none';
					mui.openWindow({
						url: 'ruke-sh.html',
						id: 'ruke.html',
						show: {
							aniShow: 'pop-in',
							duration: 500
						},
						waiting: {
							autoShow: false
						},
						extras: {
							ids: ids,
							lq: lq
						}
					});
				}, 1000)
			});
			//待审核
			mui(".mui-table-view-cell .act-icon").on('tap', '.shenhe', function() {
				document.getElementById("loimg").style.display = 'block';
				var ids = this.parentNode.parentNode.getAttribute("id");
				var lq = document.getElementById('audit-status').value;
				setTimeout(function() {
					document.getElementById("loimg").style.display = 'none';
					mui.openWindow({
						url: 'ruke-sh.html',
						id: 'ruke',
						show: {
							aniShow: 'pop-in',
							duration: 500
						},
						waiting: {
							autoShow: false
						},
						extras: {
							ids: ids,
							lq: lq
						}
					});
				}, 1000)
			});
		} else if(auditType == '出科') {
			//已审核查看			
			mui(".mui-table-view-cell .act-icon").on('tap', '.See', function() {
				var ids = this.parentNode.parentNode.getAttribute("id");
				document.getElementById("loimg").style.display = 'block';
				setTimeout(function() {
					document.getElementById("loimg").style.display = 'none';
					mui.openWindow({
						url: 'shenhexiangqing.html',
						id: 'shenhexiangqing',
						show: {
							aniShow: 'pop-in',
							duration: 500
						},
						waiting: {
							autoShow: false
						},
						extras: {
							ids: ids,
							lq: document.getElementById('audit-status').value,
						}
					});
				}, 1000)
			});
			//待审核
			mui(".mui-table-view-cell .act-icon").on('tap', '.shenhe', function() {
				var ids = this.parentNode.parentNode.getAttribute("id");
				document.getElementById("loimg").style.display = 'block';
				setTimeout(function() {
					document.getElementById("loimg").style.display = 'none';
					mui.openWindow({
						url: 'shenhexiangqing.html',
						id: 'shenhexiangqing',
						show: {
							aniShow: 'pop-in',
							duration: 500
						},
						waiting: {
							autoShow: false
						},
						extras: {
							ids: ids,
							lq: document.getElementById('audit-status').value
						}
					});
				}, 1000)
			});
		} else if(auditType == '结业') {
			//已审核查看
			mui(".mui-table-view-cell .act-icon").on('tap', '.See', function() {
				var ids = this.parentNode.parentNode.getAttribute("id");
				document.getElementById("loimg").style.display = 'block';
				setTimeout(function() {
					document.getElementById("loimg").style.display = 'none';
					mui.openWindow({
						url: 'jieye-sh.html',
						id: 'jieye',
						show: {
							aniShow: 'pop-in',
							duration: 500
						},
						waiting: {
							autoShow: false
						},
						extras: {
							ids: ids,
							lq: document.getElementById('audit-status').value
						}
					});
				}, 1000)
			});
			//待审核
			mui(".mui-table-view-cell .act-icon").on('tap', '.shenhe', function() {
				var ids = this.parentNode.parentNode.getAttribute("id");
				document.getElementById("loimg").style.display = 'block';
				setTimeout(function() {
					document.getElementById("loimg").style.display = 'none';
					mui.openWindow({
						url: 'jieye-sh.html',
						id: 'jieye',
						show: {
							aniShow: 'pop-in',
							duration: 500
						},
						waiting: {
							autoShow: false
						},
						extras: {
							ids: ids,
							lq: document.getElementById('audit-status').value
						}
					});
				}, 1000)
			});
		} else if(auditType == '请假') {
			//已审核查看
			mui(".mui-table-view-cell .act-icon").on('tap', '.See', function() {
				var ids = this.parentNode.parentNode.getAttribute("id");
				document.getElementById("loimg").style.display = 'block';
				var lq = document.getElementById('audit-status').value;
				setTimeout(function() {
					document.getElementById("loimg").style.display = 'none';
					mui.openWindow({
						url: 'review-details.html',
						id: 'review',
						show: {
							aniShow: 'pop-in',
							duration: 500
						},
						waiting: {
							autoShow: false
						},
						extras: {
							ids: ids,
							lq: lq
						}
					});
				}, 1000)
			});
			//待审核
			mui(".mui-table-view-cell .act-icon").on('tap', '.shenhe', function() {
				var ids = this.parentNode.parentNode.getAttribute("id");
				document.getElementById("loimg").style.display = 'block';
				var lq = document.getElementById('audit-status').value;
				setTimeout(function() {
					document.getElementById("loimg").style.display = 'none';
					mui.openWindow({
						url: 'review-details.html',
						id: 'review',
						show: {
							aniShow: 'pop-in',
							duration: 500
						},
						waiting: {
							autoShow: false
						},
						extras: {
							ids: ids,
							lq: lq
						}
					});
				}, 1000)
			});

		} else if(auditType == '销假') {
			//已审核查看
			mui(".mui-table-view-cell .act-icon").on('tap', '.See', function() {
				var ids = this.parentNode.parentNode.getAttribute("id");
				var lq = document.getElementById('audit-status').value;
				document.getElementById("loimg").style.display = 'block';
				setTimeout(function() {
					document.getElementById("loimg").style.display = 'none';
					mui.openWindow({
						url: 'xiaojia-sh.html',
						id: 'xiaojia',
						show: {
							aniShow: 'pop-in',
							duration: 500
						},
						waiting: {
							autoShow: false
						},
						extras: {
							ids: ids,
							lq: lq
						}
					});
				}, 1000)
			});
			//待审核
			mui(".mui-table-view-cell .act-icon").on('tap', '.shenhe', function() {
				var ids = this.parentNode.parentNode.getAttribute("id");
				var lq = document.getElementById('audit-status').value;
				document.getElementById("loimg").style.display = 'block';
				setTimeout(function() {
					document.getElementById("loimg").style.display = 'none';
					mui.openWindow({
						url: 'xiaojia-sh.html',
						id: 'xiaojia',
						show: {
							aniShow: 'pop-in',
							duration: 500
						},
						waiting: {
							autoShow: false
						},
						extras: {
							ids: ids,
							lq: lq
						}
					});
				}, 1000)
			});
		} else {
			//已审核查看
			mui(".mui-table-view-cell .act-icon").on('tap', '.See', function() {
				var ids = this.parentNode.parentNode.getAttribute("id");
				var lq = document.getElementById('audit-status').value;
				document.getElementById("loimg").style.display = 'block';
				var cq = document.getElementById('wenxian1').value;
				setTimeout(function() {
					document.getElementById("loimg").style.display = 'none';
					mui.openWindow({
						url: 'lunzhuan-sh.html',
						id: 'lunzhuan',
						show: {
							aniShow: 'pop-in',
							duration: 500
						},
						waiting: {
							autoShow: false
						},
						extras: {
							ids: ids,
							lq: lq,
							cq: cq
						}
					});
				}, 1000)
			});
			//待审核
			mui(".mui-table-view-cell .act-icon").on('tap', '.shenhe', function() {
				var ids = this.parentNode.parentNode.getAttribute("id");
				var lq = document.getElementById('audit-status').value;
				var cq = document.getElementById('wenxian1').value;
				document.getElementById("loimg").style.display = 'block';
				setTimeout(function() {
					document.getElementById("loimg").style.display = 'none';
					mui.openWindow({
						url: 'lunzhuan-sh.html',
						id: 'lunzhuan',
						show: {
							aniShow: 'pop-in',
							duration: 500
						},
						waiting: {
							autoShow: false
						},
						extras: {
							ids: ids,
							lq: lq,
							cq: cq
						}
					});
				}, 1000)
			});
		}
		return page;
	}
});