var strGUID = app.getToken();
var trainingInformation = document.getElementById('training-information');
var url = localStorage.getItem('srvurl') + 'Phone/phoneAPI/PersonalCenter.ashx?type=Essentialinfo&guid=' + strGUID;
mui.ajax(url, {
	dataType: 'json',
	type: 'post',
	timeout: 5000,
	processData: true,
	async: false, //异步
	success: function(data) {
		var content = '';
		for(var i = 0; i < data.length; i++) {
			content += '<li class="mui-table-view-cell">学员类型<span class="mui-pull-right">' + data[i].strUserTypeName + '</span></li>';
			content += '<li class="mui-table-view-cell">培训专业<span class="mui-pull-right">' + data[i].strTrainDepartmentName + '</span></li>';
			if(data[i].strDepartmentName==null){
				content += '<li class="mui-table-view-cell">当前科室<span class="mui-pull-right">没有科室</span></li>';
			}else{
				content += '<li class="mui-table-view-cell">当前科室<span class="mui-pull-right">' + data[i].strDepartmentName + '</span></li>';
			}
			if(data[i].strTeacherNameM==null){
				content += '<li class="mui-table-view-cell">责任导师<span class="mui-pull-right"></span></li>';
			}else{
				content += '<li class="mui-table-view-cell">责任导师<span class="mui-pull-right">' + data[i].strTeacherNameM + '</span></li>';
			}
			if(data[i].strTeacherNameT==null){
				content += '<li class="mui-table-view-cell">当前科室管理员<span class="mui-pull-right"></span></li>';
			}else{
				content += '<li class="mui-table-view-cell">当前科室管理员<span class="mui-pull-right">' + data[i].strTeacherNameT + '</span></li>';
			}
			if(data[i].strDepartManagername==null){
				content += '<li class="mui-table-view-cell">当前带教老师<span class="mui-pull-right"></span></li>';
			}else{
				content += '<li class="mui-table-view-cell">当前带教老师<span class="mui-pull-right">' + data[i].strDepartManagername + '</span></li>';
			}
		}
		trainingInformation.innerHTML = content;
	},
	error: function(xhr, type, errorThrown) {
		return;
	}
});