//------------------区域滑动---------------------//
mui('.mui-scroll-wrapper').scroll({
	deceleration: 0.0005 //flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006
});
mui.plusReady(function() {
	var strGUID = localStorage.getItem('yqxytoken');
	var infostu = [];
	var url = localStorage.getItem('srvurl') + 'Phone/phoneAPI/PersonalCenter.ashx?type=Essentialinfo&guid=' + strGUID;
	mui.ajax({
		url: url,
		dataType: 'json',
		type: 'post',
		timeout: 5000,
		processData: true,
		contentType: "application/x-www-form-urlencoded; charset=utf-8",
		async: false, //异步
		success: function(info) {
			infostu = info;
			var userInfo = document.getElementById('userinfo');
			var name = "";
			var degr = "";
			var depa = "";
			var professionName = "";
			name = info[0].strUserName;
			degr = info[0].strTrainDepartmentName;
			depa = info[0].strDepartmentName;
			userinfo.innerHTML = '欢迎您：' + name +
				'<div class="mui-pull-right">专业：' +
				'<span class="student-col">' + degr +
				'</span></div>'
		},
		error: function(xhr, type, errorThrown) {
			return;
		}
	});
	//获取轮转科室
	var evals1 = document.getElementById("evals1");
	var url1 = localStorage.getItem('srvurl') + 'phone/phoneAPI/PersonalCenter.ashx?guid=' + strGUID + '&type=4';
	mui.ajax({
		url: url1,
		dataType: 'json',
		type: 'post',
		timeout: 1000,
		processData: true,
		async: false,
		contentType: 'application/x-www-form-urlencoded;charset=utf-8',
		success: function(data) {
			for(var x = 0; x < data.length; x++) {
				evals1.innerHTML += '<option value=' + data[x].lngDepartmentID + '>' + data[x].strDepartmentName + '</option>';
			}
			//获取当前科室
			var url2 = localStorage.getItem('srvurl') + 'phone/phoneAPI/PersonalCenter.ashx?guid=' + strGUID + '&type=1';
			mui.ajax({
				url: url2,
				dataType: 'json',
				type: 'post',
				timeout: 1000,
				processData: true,
				async: false,
				contentType: 'application/x-www-form-urlencoded;charset=utf-8',
				success: function(data) {
					if(data.length != 0) {
						document.getElementById("evals1").value = data[0].lngDepartmentID;
					} else {
						//如果没有科室提示去下一个科室报道
						var url2 = localStorage.getItem('srvurl') + 'phone/phoneAPI/PersonalCenter.ashx?guid=' + strGUID + '&type=ISDepartName';
						mui.ajax({
							url: url2,
							dataType: 'json',
							type: 'post',
							timeout: 1000,
							processData: true,
							async: false,
							contentType: 'application/x-www-form-urlencoded;charset=utf-8',
							success: function(data) {
								evals1.innerHTML = '<option>您当前没有科室，快去' + data[0].strDepartName + '报道吧！</option>';
								document.getElementById("stuent").style.display = "none";
							},
							error: function(xhr, type, errorThrown) {
								return;
							},
						});
					}
					dpmentshow();
					dpmentshow1();
				},
				error: function(xhr, type, errorThrown) {
					return;
				}
			});
		},
		error: function(xhr, type, errorThrown) {
			return;
		}
	});
	//轮训计划
	var stumask = document.getElementById("stu-mask");
	var stuul2 = document.getElementById("stu-ul2");
	var numAll = 0;
	//获取距离出科
	function dpmentshow() {
		var dpment = evals1.value;
		var url1 = localStorage.getItem('srvurl') + 'phone/phoneAPI/PersonalCenter.ashx?guid=' + strGUID + '&type=SEtime&departmentid=' + dpment;
		mui.ajax({
			url: url1,
			dataType: 'json',
			type: 'post',
			timeout: 1000,
			processData: true,
			async: true,
			contentType: 'application/x-www-form-urlencoded;charset=utf-8',
			success: function(data) {
				//规培天数
				var iDays='',iDays1='';
				if(data==''){
					iDays=DateDiff1(0,0);
					//已培天数
					iDays1 = DateDiff2(0);
				}else{
					iDays=DateDiff1(data[0].strTaskBeginDate, data[0].strTaskEndDate);
					//已培天数
					iDays1 = DateDiff2(data[0].strTime);
					//距离出科天数
				var suts = '';
				if(iDays - iDays1 > 0) {
					suts = iDays - iDays1;
				} else {
					suts = 0;
				}
				stumask.innerHTML = '<div class="student-border">' +
					'<div class="stu-pie_left">' +
					'<div class="stu-leftb"></div></div>' +
					'<div class="stu-pie_right">' +
					'<div class="stu-rightb"></div></div>' +
					'<div class="stu-mask"><span class="stu-span">' + suts + '</span><span class="stu-span1">天</span><br />距离出科</div></div>' +
					'<p class="stu-p">' + (data[0].strTaskBeginDate).replace(/-/g, ".") + '-' + (data[0].strTaskEndDate).replace(/-/g, ".") + '</p>';
					jQuery('.student-border').each(function(index, el) {
						var num = 360 - iDays1 / iDays * 100; //这里360减去的反向长度，也能是不用360去减，就是蓝色的长度
						if(suts == 0) {
							jQuery(this).find('.stu-rightb').css('transform', "rotate(180deg)");
							jQuery(this).find('.stu-leftb').css('transform', "rotate(180deg)");
						} else {
							if(num <= 180) {
								jQuery(this).find('.stu-rightb').css('transform', "rotate(" + num + "deg)");
							} else {
								jQuery(this).find('.stu-rightb').css('transform', "rotate(180deg)");
								jQuery(this).find('.stu-leftb').css('transform', "rotate(" + (num - 180) + "deg)");
							};
						}
					});
				}
				
				
			},
			error: function(xhr, type, errorThrown) {
				return;
			}
		});
	}
	//获取病种
	function dpmentshow1() {
		var dpment = evals1.value;
		var url1 = localStorage.getItem('srvurl') + 'phone/phoneAPI/PersonalCenter.ashx?guid=' + strGUID + '&type=LiteratureCountOne&departmentid=' + dpment;
		mui.ajax({
			url: url1,
			dataType: 'json',
			type: 'post',
			timeout: 1000,
			processData: true,
			async: true,
			contentType: 'application/x-www-form-urlencoded;charset=utf-8',
			success: function(data) {
				if(data!=''){
					if(data[0].intAskYCount == null) {
						stuul2.innerHTML += '<li>病种：' + data[0].UserAskCount + '/0' + '</li><li class="stu-li"><div class="stu-lidiv1"></div></li>';
						jQuery(".stu-lidiv1").css("width", '0%');
					} else {
						stuul2.innerHTML += '<li>病种：' + data[0].UserAskCount + '/' + data[0].intAskYCount + '</li><li class="stu-li"><div class="stu-lidiv1"></div></li>';
						numAll += data[0].UserAskCount;
						var baifen = data[0].UserAskCount / data[0].intAskYCount * 100;
						if(baifen >= 100) {
							baifen = 100;
						}
						jQuery(".stu-lidiv1").css("width", baifen + '%');
					}
					var iqtsgu = data[0].UserAskCount - data[0].intAskYCount;
					dpmentshow2();
					dpmentshow3(iqtsgu);
				}
			},
			error: function(xhr, type, errorThrown) {
				return;
			}
		});
	}
	//获取技能
	function dpmentshow2() {
		var dpment = evals1.value;
		var url1 = localStorage.getItem('srvurl') + 'phone/phoneAPI/PersonalCenter.ashx?guid=' + strGUID + '&type=LiteratureCountTwo&departmentid=' + dpment;
		mui.ajax({
			url: url1,
			dataType: 'json',
			type: 'post',
			timeout: 1000,
			processData: true,
			async: false,
			contentType: 'application/x-www-form-urlencoded;charset=utf-8',
			success: function(data) {
				if(data[0].intAskYCount == null) {
					stuul2.innerHTML += '<li>技能：' + data[0].UserAskCount + '/' + 0 + '</li><li class="stu-li"><div class="stu-lidiv2"></div></li>';
					jQuery(".stu-lidiv2").css("width", '0%');
				} else {
					stuul2.innerHTML += '<li>技能：' + data[0].UserAskCount + '/' + data[0].intAskYCount + '</li><li class="stu-li"><div class="stu-lidiv2"></div></li>';
					numAll += data[0].UserAskCount;
					var baifen = data[0].UserAskCount / data[0].intAskYCount * 100;
					if(baifen >= 100) {
						baifen = 100;
					}
					jQuery(".stu-lidiv2").css("width", baifen + '%');
				}
			},
			error: function(xhr, type, errorThrown) {
				return;
			}
		});
	}
	//获取管床
	function dpmentshow3(iqtsgu) {
		var dpment = evals1.value;
		var url1 = localStorage.getItem('srvurl') + 'phone/phoneAPI/PersonalCenter.ashx?guid=' + strGUID + '&type=LiteratureCountThree&departmentid=' + dpment;
		mui.ajax({
			url: url1,
			dataType: 'json',
			type: 'post',
			timeout: 1000,
			processData: true,
			async: true,
			contentType: 'application/x-www-form-urlencoded;charset=utf-8',
			success: function(data) {
				if(data.length == 0) {
					mui.toast('你还未轮转此科室！')
					stuul2.innerHTML += '<li>管床：0/0</li><li class="stu-li"><div class="stu-lidiv3"></div></li>';
					jQuery(".stu-lidiv3").css("width", '0%');
					stuul2.innerHTML += '<li>其他录入：0份</li>';
				} else {
					stuul2.innerHTML += '<li>管床：' + data[0].intUserBedCount + '/' + data[0].intAskBedCount + '</li><li class="stu-li"><div class="stu-lidiv3"></div></li>';
					numAll += data[0].intUserBedCount;
					var baifen = '';
					if(data[0].intUserBedCount == 0) {
						baifen = 0;
					} else {
						if(baifen >= 100) {
							baifen = 100;
						} else {
							baifen = data[0].intUserBedCount / data[0].intAskBedCount * 100;
						}
					}
					jQuery(".stu-lidiv3").css("width", baifen + '%');
					dpmentshow4(numAll);
				}
			},
			error: function(xhr, type, errorThrown) {
				return;
			}
		});
	}
	//获取其他录入
	function dpmentshow4() {
		var dpment = evals1.value;
		var url1 = localStorage.getItem('srvurl') + 'phone/phoneAPI/PersonalCenter.ashx?guid=' + strGUID + '&type=LiteratureAllCount&departmentid=' + dpment;
		mui.ajax({
			url: url1,
			dataType: 'json',
			type: 'post',
			timeout: 1000,
			processData: true,
			async: false,
			contentType: 'application/x-www-form-urlencoded;charset=utf-8',
			success: function(data) {
				stuul2.innerHTML += '<li>其他录入：' + (data) + '份</li>';
			},
			error: function(xhr, type, errorThrown) {
				return;
			}
		});
	}
	//科室改变的时候
	evals1.addEventListener('change', function() {
		stuul2.innerHTML = "";
		dpmentshow();
		dpmentshow1();
	});
	mui(".stu-grid li").on('tap', 'a', function() {
		document.getElementById("loimg3").style.display = 'block';
		var dataname = jQuery(this).attr("data-href");
		setTimeout(function() {
			document.getElementById("loimg3").style.display = 'none';
			mui.openWindow({
				url: dataname,
				id: 'url' + dataname,
				show: {
					aniShow: 'pop-in',
					duration: 300
				},
				waiting: {
					autoShow: false, //自动显示等待框，默认为true
				}
			})
			document.getElementById("loimg3").style.display = 'none';
		}, 500)
	});
	//相差天数
	function DateDiff1(startDateStr, endDateStr) { //sDate1和sDate2是2006-12-18格式  
		var iDays;
		if(startDateStr != 0 && endDateStr != 0){
			var separatorStr = "-";
			startDate = startDateStr.split(separatorStr);
			endDate = endDateStr.split(separatorStr);
			var date1 = new Date(startDate[0], startDate[1] - 1, startDate[2]);
			var date2 = new Date(endDate[0], endDate[1] - 1, endDate[2]);
			iDays = parseInt(Math.abs(date2 - date1) / 1000 / 60 / 60 / 24); //相差毫秒转换2为天	
		}else{
			iDays=0;
		}
		return iDays;
	}

	//过了的天数
	function DateDiff2(strTime) { //sDate1和sDate2是2006-12-18格式  
		var iDays1;
		if(strTime != 0){
			var myDate = new Date();
			var myDateStr = myDate.getFullYear() + '-' + (myDate.getMonth() + 1) + '-' + myDate.getDate();
			var separatorStr = "-";
			startDate = strTime.split(separatorStr);
			myDate1 = myDateStr.split(separatorStr);
			var date1 = new Date(startDate[0], startDate[1] - 1, startDate[2]);
			var date2 = new Date(myDate1[0], myDate1[1] - 1, myDate1[2]);
			iDays1 = parseInt(Math.abs(date2 - date1) / 1000 / 60 / 60 / 24); //相差毫秒转换2为天
		}else{
			iDays1=0;
		}
		return iDays1;
	}
	//是否出科
	var BackCardUrl = localStorage.getItem('srvurl') + 'phone/phoneAPI/UserEndCar.ashx?guid=' + strGUID + '&submit=7';
	mui.ajax({
		url: BackCardUrl,
		dataType: 'json',
		type: 'post',
		timeout: 1000,
		processData: true,
		async: false,
		contentType: 'application/x-www-form-urlencoded;charset=utf-8',
		success: function(data) {
			if(data[0].type == '未轮转完所有科室') {
				document.getElementById("jieyeshengq").style.display = 'none';
			} else {
				//是否显示结业
				var ExamMark1Info = {
					submit: 4
				}
				var ExamM1Url = localStorage.getItem('srvurl') + 'phone/phoneAPI/WebConfig.ashx?guid=' + strGUID;
				mui.ajax({
					url: ExamM1Url,
					data: ExamMark1Info,
					dataType: 'json',
					type: 'post',
					timeout: 1000,
					processData: true,
					async: false,
					contentType: 'application/x-www-form-urlencoded;charset=utf-8',
					success: function(data) {
						if(data[0].strtype != '不要求！') {
							document.getElementById("jieyeshengq").style.display = 'none';
						} else {
							document.getElementById("jieyeshengq").style.display = 'inline-block';
							document.getElementById("stu-ul").style.display = 'none';
							document.getElementById("conts").style.paddingBottom = '35px';
							document.getElementById("conts").style.backgroundColor = '#FFF';
							document.getElementById("loimg3").style.bottom = '0px';
						}
					},
					error: function(XMLHttpRequest, textStatus, errorThrown) {
						return;
					}
				});
			}
		},
		error: function(XMLHttpRequest, textStatus, errorThrown) {
			return;
		}
	});
	setTimeout(function() {
		document.getElementById("loimg3").style.display = 'none';
		document.getElementById("ibody").style.display = 'block';
	}, 300);
});