/**
 * 加载具体业务实现
 */
var strGUID = app.getToken();
var LoginInfo = app.getLogin();
var strType = LoginInfo.rl;
if(strType != '学员') strType = '管理员';
var table = document.body.querySelector('.mui-table-view');
var cells = document.body.querySelectorAll('.mui-table-view-cell');
var url = localStorage.getItem('srvurl') + 'Phone/phoneAPI/TeachingActivites.ashx?guid=' + strGUID + '&rl=' + strType + '&News=2';
mui.ajax(url, {
	datatype: 'json', //数据类型
	type: 'post', //请求方式（get和post）
	timeout: 5000, //超时
	processData: true,
	async: false,
	contentType: "application/x-www-form-urlencoded; charset=utf-8", //内容类型
	success: function(data) {
		var objdata = JSON.parse(data);
		for(var i = 0; i < objdata.length; i++) {
			var li = document.createElement('li');
			li.className = 'mui-table-view-cell';
			var url2 = localStorage.getItem('srvurl') + 'phone/phoneAPI/TeachingActivitiesDetail.ashx?guid=' + strGUID + '&id=' + objdata[i].lngTeachingActivityID + '&edit=1';
			li.innerHTML = "<a class=\"mui-navigate-right\"data-url=\"" + url2 + "\">" +
				'<div class="shijian">发布时间:' + Date.turnTime(objdata[i].strStartDate) + '</div>' +
				'<p>' + objdata[i].strTeachingActivityTitle + '</p>' +
				'</a>';
			table.appendChild(li);
		}
	},
	error: function(xhr, type, errorThrown) {
		mui.toast("<网络连接失败，请重新尝试一下>");
	}
});
/*
 *详情页面(跳转函数)
 */
mui.openBrowser = function(url) {
	document.getElementById("loimg").style.display = 'block';
	setTimeout(function() {
		document.getElementById("loimg").style.display = 'none';
		mui.openWindow({
			url: 'jiaoxuehuodong-xj.html',
			id: 'jiaoxuehuodong-xj',
			show: {
				aniShow: 'pop-in',
				duration: 500
			},
			waiting: {
				autoShow: false
			},
			extras: {
				url: url
			}
		}, true);
	}, 1000);
}
mui('body').on('tap', 'a', function() {
	mui.openBrowser(this.getAttribute('data-url'));
})