mui.init()
(function($,doc){
	$.ready(function() {
		var time=1000;
		progress(time);
		function progress(time){
				var originalLength=15,pagelength=100/time;
				setInterval(function(){
					if(originalLength<=105){
						document.getElementById("sy-progress").style.width=originalLength+'%';
						originalLength+=pagelength;
					}else{
						document.getElementById("sy-progress").style.display='none';
						return;
					}
				},0.5)
			
		}
		mui.plusReady(function() {
			var strGUID = localStorage.getItem('yqtoken');
			var self=plus.webview.currentWebview();
			var examid=self.examid;
			var ksUrl=self.ksUrl;
			//试卷
			var naticeInfo = document.getElementById("naticeInfo");
			var xiugaiInfo={
				guid:strGUID,
				type:2,
				examid:examid  
			}
			var url5 = ksUrl + '/ExamPhone/ExamPhone.ashx?';
			mui.ajax({
				url: url5,
				dataType: 'json',
				data:xiugaiInfo,
				type: 'post',
				timeout: 1000,
				processData: true,
				async: false,
				contentType: 'application/x-www-form-urlencoded;charset=utf-8',
				success: function(data) {
					for(var i=0;i<data.length;i++){
						var dataDiv=document.createElement("li");
						dataDiv.className="mui-table-view-cell mui-media";
						dataDiv.setAttribute('id',data[i].lngID);
						dataDiv.setAttribute('time-id',data[i].strTime);
						dataDiv.innerHTML='<a href="javascript:;">'+
				                    '<div class="mui-media-body">'+
				                    	'<p><span class="te-circular1">'+(i+1)+'</span><span class="te-title">'+data[i].strPaperName+'</span></p>'+
				                        '<p class="mui-ellipsis te-tain">考试时间：'+data[i].strTime+'</p>'+
				                    '</div></a>';
				        naticeInfo.appendChild(dataDiv);
				        
				   }
				},
				error: function(XMLHttpRequest, textStatus, errorThrown) {
					return;
				}
			});
			mui('#naticeInfo').on('tap','li',function(){
				var paperid=this.getAttribute("id");
				var strTime=this.getAttribute("time-id");
				setTimeout(function(){
					mui.openWindow({
						url: 'test.html',
						id: 'test',
						show: {
							aniShow: 'pop-in',
							duration: 500
						},
						waiting: {
							autoShow: false
						},
						extras: {
							examid: examid,
							paperid: paperid,
							strTime:strTime,
							ksUrl:ksUrl
						}
					});
				},0)
			})
			//查看试卷列表
			//考试列表
			var textList = document.getElementById("textList");
			var textInfo={
				guid:strGUID,
				type:7,
				keyword:'' 
			}
			var textUrl = ksUrl+ '/ExamPhone/ExamPhone.ashx?';
			mui.ajax({
				url: textUrl,
				type: 'post',
				data: textInfo,
				dataType: 'json',
				timeout: 1000,
				processData: true,
				async: false,
				contentType: 'application/x-www-form-urlencoded;charset=utf-8',
				success: function(data) {
					for(var i=0;i<data.length;i++){
						var dataDiv=document.createElement("li");
						dataDiv.className="mui-table-view-cell mui-media";
						dataDiv.setAttribute('id',data[i].lngExamID);
						dataDiv.innerHTML='<a href="javascript:;">'+
				                    '<div class="mui-media-body">'+
				                    	'<p><span class="te-circular"></span><span class="te-title">'+data[i].strExamName+'</span><span class="te-score">分数：'+data[i].dblUserScore+'</span></p>'+
				                        '<p class="mui-ellipsis te-tain">'+data[i].strPaperName+'</p>'+
				                        '<p class="mui-pull-right te-footer">'+data[i].strExamTime+'</p>'+
				                    '</div></a>';
				        textList.appendChild(dataDiv);
				        
				   }
				},
				error: function(XMLHttpRequest, textStatus, errorThrown) {
					return;
				}
			});
		})
	})
}(mui,document))