mui.init()
(function($,doc){
	mui.ready(function() {
		mui('.mui-scroll-wrapper').scroll({
			deceleration: 0.0005 //flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006
		});
		mui.plusReady(function() {
			var strGUID = localStorage.getItem('yqtoken');
			mui("#demo1").progressbar({progress:20}).show();
			mui("#demo1").progressbar().setProgress(0);
			mui("#demo2").progressbar({progress:20}).show();
			mui("#demo2").progressbar().setProgress(33);
			mui("#demo3").progressbar({progress:20}).show();
			mui("#demo3").progressbar().setProgress(66);
			//获取考试地址
			var ksUrl='';
			var urlks = localStorage.getItem('srvurl') + 'phone/phoneAPI/WebConfigUrlTxt.ashx?';
			mui.ajax(urlks, {
				dataType: 'text',
				type: 'post',
				timeout: 5000,
				processData: true,
				async: false, //异步
				success: function(data) {
					console.log(JSON.stringify(data));
					if(data==''){
						document.getElementById("lo-m").style.display='block';
						document.getElementById("ys-alert").style.display='block'; 
					}else{
						ksUrl=data;
						itemshow(ksUrl);
					}
				},
				error: function(xhr, type, errorThrown) {
					return;
				}
			});
			function itemshow(ksUrl){
				var naticeInfo = document.getElementById("naticeInfo");
				//公告列表
				var dataInfo={
					guid:strGUID,
					type:4
				}
				var url1 = ksUrl+ '/ExamPhone/ExamPhone.ashx?';
				mui.ajax({
					url: url1,
					type: 'post',
					data: dataInfo,
					dataType: 'json,text',
					timeout: 1000,
					processData: true,
					async: true,
					contentType: 'application/x-www-form-urlencoded;charset=utf-8',
					success: function(data) {
						console.log(JSON.stringify(data));
						if(data!='请先登录'){
							var data=eval('('+data+')');
						}else{
							document.getElementById("lo-m").style.display='block';
							document.getElementById("ys-alert").style.display='block'; 
							document.getElementById("ys-inner").innerHTML='您未登录！请联系管理员';
						}
						for(var i=0;i<data.length;i++){
							var dataDiv=document.createElement("li");
							dataDiv.className="mui-table-view-cell mui-media";
							dataDiv.setAttribute('id',data[i].lngExamID);
							dataDiv.setAttribute('data-id',data[i].strMemo);
							dataDiv.setAttribute('title-id',data[i].strExamName);
							dataDiv.setAttribute('time-id',data[i].strBeginTime+' ~ '+data[i].strEndTime);
							dataDiv.innerHTML='<a href="javascript:;">'+
											'<span class="te-circular">'+data[i].strType+'</span>'+
											'<div class="te-youyi"><p>'+data[i].dblPassMark+'</p>'+
											'<p>'+data[i].dblGoodMark+'</p></div>'+
					                    '<div class="mui-media-body">'+
					                    	'<p><span class="te-title">'+data[i].strExamName+'</span></p>'+
					                        '<p class="mui-ellipsis te-tain">'+data[i].strMemo+'</p>'+
					                        '<p class="mui-pull-right te-footer">'+data[i].strBeginTime+' ~ '+data[i].strEndTime+'</p>'+
					                    '</div></a>';
					        naticeInfo.appendChild(dataDiv);
					        loadStyleString("li:nth-of-type("+(i+1)+") .te-youyi p:nth-of-type(1)::after{width:"+((data[i].dblPassMark+10)/2)+"px}");
					        loadStyleString("li:nth-of-type("+(i+1)+") .te-youyi p:nth-of-type(2)::after{width:"+((data[i].dblGoodMark+10)/2)+"px}");
					   }
					},
					error: function(XMLHttpRequest, textStatus, errorThrown) {
						console.log(XMLHttpRequest.status);
						return;
					}
				});
				mui('#naticeInfo').on('tap','li',function(){
					var strMemo=this.getAttribute("data-id");
					var title=this.getAttribute("title-id");
					var time=this.getAttribute("time-id");
					document.getElementById("lo-m").style.display='block';
					document.getElementById("synotice").style.display='block';
					document.getElementById("sytitlet").innerHTML=title;
					document.getElementById("sycontent").innerHTML=strMemo+'<p class="te-footer1">'+time+'</p>';
				})
				document.getElementById("quxiao").addEventListener('tap',function(){
					document.getElementById("lo-m").style.display='none';
					document.getElementById("synotice").style.display='none';
				});
				//考试列表
				var textList = document.getElementById("textList");
				var textInfo={
					guid:strGUID,
					type:1
				}
				var textUrl = ksUrl+ '/ExamPhone/ExamPhone.ashx?'; 
				mui.ajax({
					url: textUrl,
					type: 'post',
					data: textInfo,
					dataType: 'json',
					timeout: 1000,
					processData: true,
					async: true,
					contentType: 'application/x-www-form-urlencoded;charset=utf-8',
					success: function(data) {
						for(var i=0;i<data.length;i++){
							var dataDiv=document.createElement("li");
							dataDiv.className="mui-table-view-cell mui-media";
							dataDiv.setAttribute('id',data[i].lngExamID);
							dataDiv.innerHTML='<a href="javascript:;">'+
					                    '<div class="mui-media-body">'+
					                    	'<p><span class="te-circular"></span><span class="te-title">'+data[i].strExamName+'</span></p>'+
					                        '<p class="mui-ellipsis te-tain">'+data[i].strMemo+'</p>'+
					                        '<p class="mui-pull-right te-footer">'+data[i].strExamTime+'</p>'+
					                    '</div></a>';
					        textList.appendChild(dataDiv);    
					   }
					},
					error: function(XMLHttpRequest, textStatus, errorThrown) {
						return;
					}
				});
				mui('#textList').on('tap','li',function(){
					var examid=this.getAttribute("id");
					setTimeout(function(){
						mui.openWindow({
							url: 'list.html',
							id: 'list',
							show: {
								aniShow: 'pop-in',
								duration: 500
							},
							waiting: {
								autoShow: false
							},
							extras: {
								examid: examid,
								ksUrl:ksUrl
							}
						});
					},0)
				})
				//成绩
				var textList1 = document.getElementById("textList1");
				var textInfo1={
					guid:strGUID,
					type:7,
					keyword:'' 
				}
				var textUrl1 = ksUrl+ '/ExamPhone/ExamPhone.ashx?';
				mui.ajax({
					url: textUrl1,
					type: 'post',
					data: textInfo1,
					dataType: 'json',
					timeout: 1000,
					processData: true,
					async: false,
					contentType: 'application/x-www-form-urlencoded;charset=utf-8',
					success: function(data) {
						for(var i=0;i<data.length;i++){
							var dataDiv=document.createElement("li");
							dataDiv.className="mui-table-view-cell mui-media";
							dataDiv.setAttribute('id',data[i].lngExamID);
							dataDiv.innerHTML='<a href="javascript:;">'+
					                    '<div class="mui-media-body">'+
					                    	'<p><span class="te-circular"></span><span class="te-title">'+data[i].strExamName+'</span><span class="te-score">分数：'+data[i].dblUserScore+'</span></p>'+
					                        '<p class="mui-ellipsis te-tain">'+data[i].strPaperName+'</p>'+
					                        '<p class="mui-pull-right te-footer">'+data[i].strExamTime+'</p>'+
					                    '</div></a>';
					        textList1.appendChild(dataDiv);
					        
					   }
					},
					error: function(XMLHttpRequest, textStatus, errorThrown) {
						return;
					}
				});
			}
		//修改after伪类
			function loadStyleString(css){
			    var style = document.createElement("style");
			    style.type = "text/css";
			    try{
			        style.appendChild(document.createTextNode(css));
			    }catch(ex){
			        style.styleSheet.cssText = css;
			    }
			    var head = document.getElementsByTagName('head')[0];
			    head.appendChild(style);
			}
		})
	})
}(mui,document))