mui.init()
jQuery.noConflict();
(function($, doc) {
	$.ready(function() {
		//------------------区域滑动---------------------//
		mui('.mui-scroll-wrapper').scroll({
			deceleration: 0.0005 //flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006
		});
		mui.plusReady(function() {
			var strGUID = app.getToken();
			//判断学员是否提交结业申请
			var ExamMark2Url = localStorage.getItem('srvurl') + 'Phone/phoneAPI/UserEndCar.ashx?guid=' + strGUID + '&submit=5';
			mui.ajax({
				url: ExamMark2Url,
				dataType: 'json',
				type: 'post',
				timeout: 5000,
				processData: true,
				contentType: "application/x-www-form-urlencoded; charset=utf-8",
				async: false, //异步
				success: function(info1) {
					if(info1 == '对不起，您已经填写了结业申请，不能重复填写。你可以进入审核跟踪列表中删除以前的结业申请书后再重新填写！') {
						document.getElementById("submit").innerHTML = '修改';
						//修改
						var lngUserHospitalEndID;
						var chaxunUrl = localStorage.getItem('srvurl') + 'Phone/phoneAPI/UserEndList.ashx?guid=' + strGUID + '&submit=1&ty=4';
						mui.ajax({
							url: chaxunUrl,
							dataType: 'json',
							type: 'post',
							timeout: 5000,
							processData: true,
							contentType: "application/x-www-form-urlencoded; charset=utf-8",
							async: false, //异步
							success: function(info) {
								if(info[0].strIsPass == '通过') {
									lngUserHospitalEndID = info[0].lngUserHospitalEndID;
									document.getElementById("ExamMark1").value = info[0].sngExamMark1;
									document.getElementById("ExamMark2").value = info[0].sngExamMark2;
									document.getElementById("ExamMark3").value = info[0].sngExamMark3;
									document.getElementById("txtContent").value = info[0].strContent;
									document.getElementById("txtUserMemo").value = info[0].strUserMemo;
									document.getElementById("txtContent").disabled = true;
									document.getElementById("txtUserMemo").disabled = true;
									document.getElementById("sunbtn").innerHTML = '<p style="color: red;background: none;font-size: 21px;">已通过审核</p>';
								} else if(info[0].EndCheck == '拒绝' || info[0].EndCheck == '审核未通过') {
									lngUserHospitalEndID = info[0].lngUserHospitalEndID;
									document.getElementById("ExamMark1").value = info[0].sngExamMark1;
									document.getElementById("ExamMark2").value = info[0].sngExamMark2;
									document.getElementById("ExamMark3").value = info[0].sngExamMark3;
									document.getElementById("txtContent").value = info[0].strContent;
									document.getElementById("txtUserMemo").value = info[0].strUserMemo;
									document.getElementById("submit").innerHTML = '重新提交';
									//提交
									document.getElementById('submit').addEventListener('tap', function(event) {
										var ExamMark1 = document.getElementById("ExamMark1");
										var ExamMark2 = document.getElementById("ExamMark2");
										var ExamMark3 = document.getElementById("ExamMark3");
										var txtContent = document.getElementById("txtContent");
										var txtUserMemo = document.getElementById("txtUserMemo");
										var submitInfo = {
											id: lngUserHospitalEndID,
											txtExamMark1: ExamMark1.value,
											txtExamMark2: ExamMark2.value,
											txtExamMark3: ExamMark3.value,
											txtUserMemo: txtUserMemo.value,
											txtContent: txtContent.value,
											submit: 4
										}
										var SubmitUrl = localStorage.getItem('srvurl') + 'phone/phoneAPI/UserEndCar.ashx?guid=' + app.getToken();
										mui.ajax({
											url: SubmitUrl,
											data: submitInfo,
											dataType: 'json',
											type: 'post',
											timeout: 1000,
											processData: true,
											async: true,
											contentType: 'application/x-www-form-urlencoded;charset=utf-8',
											success: function(data) {
												mui.alert('修改成功', function() {
													mui.back();
												});
											},
											error: function(XMLHttpRequest, textStatus, errorThrown) {
												if(XMLHttpRequest.status == 200) {
													mui.alert('修改成功', function() {
														mui.back();
													});
												} else {
													mui.toast('<修改失败!>');
												}
											}
										});
									});
								} else if(info[0].EndCheck == '') {
									document.getElementById("ExamMark1").value = info[0].sngExamMark1;
									document.getElementById("ExamMark2").value = info[0].sngExamMark2;
									document.getElementById("ExamMark3").value = info[0].sngExamMark3;
									document.getElementById("txtContent").value = info[0].strContent;
									document.getElementById("txtUserMemo").value = info[0].strUserMemo;
									mui.alert('等待审核中！', function() {
										mui.back();
									});
								}
							},
							error: function(xhr, type, errorThrown) {
								return;
							}
						});
					} else {
						//结业考试理论成绩
						var ExamMark1Info = {
							submit: 1
						}
						var ExamM1Url = localStorage.getItem('srvurl') + 'phone/phoneAPI/UserEndCar.ashx?guid=' + app.getToken();
						mui.ajax({
							url: ExamM1Url,
							data: ExamMark1Info,
							dataType: 'json',
							type: 'post',
							timeout: 1000,
							processData: true,
							async: true,
							contentType: 'application/x-www-form-urlencoded;charset=utf-8',
							success: function(data) {
								document.getElementById("ExamM1").innerHTML = data;
							},
							error: function(XMLHttpRequest, textStatus, errorThrown) {
								return;
							}
						});
						//结业考试技能成绩
						var ExamMark1Info = {
							submit: 2
						}
						var ExamM2Url = localStorage.getItem('srvurl') + 'phone/phoneAPI/UserEndCar.ashx?guid=' + app.getToken();
						mui.ajax({
							url: ExamM2Url,
							data: ExamMark1Info,
							dataType: 'json',
							type: 'post',
							timeout: 1000,
							processData: true,
							async: true,
							contentType: 'application/x-www-form-urlencoded;charset=utf-8',
							success: function(data) {
								document.getElementById("ExamM2").innerHTML = data;
							},
							error: function(XMLHttpRequest, textStatus, errorThrown) {
								return;
							}
						});
						//获取出科考试成绩（理论成绩）
						var ExamMark2Url = localStorage.getItem('srvurl') + 'Phone/phoneAPI/UserEndCar.ashx?guid=' + strGUID + '&submit=5';
						mui.ajax({
							url: ExamMark2Url,
							dataType: 'json',
							type: 'post',
							timeout: 5000,
							processData: true,
							contentType: "application/x-www-form-urlencoded; charset=utf-8",
							async: false, //异步
							success: function(info) {
								if(info == '') {
									document.getElementById("ExamMark1").value = 0;
								} else {
									document.getElementById("ExamMark1").value = info[0].dblScore;
								}
							},
							error: function(xhr, type, errorThrown) {
								return;
							}
						});
						//获取出科考试成绩（技能考试成绩）
						var ExamMark2Url = localStorage.getItem('srvurl') + 'Phone/phoneAPI/UserEndCar.ashx?guid=' + strGUID + '&submit=6';
						mui.ajax({
							url: ExamMark2Url,
							dataType: 'json',
							type: 'post',
							timeout: 5000,
							processData: true,
							contentType: "application/x-www-form-urlencoded; charset=utf-8",
							async: false, //异步
							success: function(info) {
								if(info == '') {
									document.getElementById("ExamMark2").value = 0;
								} else {
									document.getElementById("ExamMark2").value = info[0].dblScore;
								}
							},
							error: function(xhr, type, errorThrown) {
								return;
							}
						});
						//提交
						document.getElementById('submit').addEventListener('tap', function(event) {
							var ExamMark1 = document.getElementById("ExamMark1");
							var ExamMark2 = document.getElementById("ExamMark2");
							var ExamMark3 = document.getElementById("ExamMark3");
							var txtContent = document.getElementById("txtContent");
							var txtUserMemo = document.getElementById("txtUserMemo");
							if(ExamMark3.value == "") {
								mui.toast('<请输入其他成绩!>');
							} else {
								if(txtContent.value == "") {
									mui.toast('<请输入结业申请!>');
								} else {
									if(txtUserMemo.value == "") {
										mui.toast('<请输入自我小结!>');
									} else {
										var submitInfo = {
											txtExamMark1: ExamMark1.value,
											txtExamMark2: ExamMark2.value,
											txtExamMark3: ExamMark3.value,
											txtUserMemo: txtUserMemo.value,
											txtContent: txtContent.value,
											submit: 4
										}
										var SubmitUrl = localStorage.getItem('srvurl') + 'phone/phoneAPI/UserEndCar.ashx?guid=' + app.getToken();
										mui.ajax({
											url: SubmitUrl,
											data: submitInfo,
											dataType: 'json',
											type: 'post',
											timeout: 1000,
											processData: true,
											async: true,
											contentType: 'application/x-www-form-urlencoded;charset=utf-8',
											success: function(data) {
												console.log(JSON.stringify(data));
												mui.alert('提交成功', function() {
													mui.back();
												});
											},
											error: function(XMLHttpRequest, textStatus, errorThrown) {
												if(XMLHttpRequest.status == 200) {
													mui.alert('提交成功', function() {
														mui.back();
													});
												} else {
													mui.toast('<提交失败!>');
												}
											}
										});
									}
								}
							}
						});
					}
				},
				error: function(xhr, type, errorThrown) {
					return;
				}
			});

		})
	})
})(mui, document)