(function($, doc) {
	$.ready(function() {
		//定义培训名称的变量
		var departmentID, typet, typer;
		//管理接口
		var evals1 = document.getElementById("evals1");
		var evals2 = document.getElementById("evals2");
		var evals3 = document.getElementById("evals3");
		var evals5 = document.getElementById("evals5")
		var guchcard = document.getElementById("guch-card");
		//获取科室
		var num;
		var url1 = localStorage.getItem('srvurl') + 'phone/phoneAPI/PersonalCenter.ashx?guid=' + app.getToken() + '&type=1';
		mui.ajax({
			url: url1,
			dataType: 'json',
			type: 'post',
			timeout: 1000,
			processData: true,
			async: true,
			contentType: 'application/x-www-form-urlencoded;charset=utf-8',
			success: function(data) {
				for(var x = 0; x < data.length; x++) {
					evals1.innerHTML += '<option value=' + data[x].lngDepartmentID + '>' + data[x].strDepartmentName + '</option>';
				}
				//获取培训类型id
				num = evals1.value;
				typershow(num);
			},
			error: function(xhr, type, errorThrown) {
				return;
			}
		});
		//培训类型
		function typershow(num) {
			var url2 = localStorage.getItem('srvurl') + 'phone/phoneAPI/UserRoundManual.ashx?guid=' + app.getToken() + '&taskNum=2&departmentID=' + num;
			mui.ajax({
				url: url2,
				dataType: 'json',
				type: 'post',
				timeout: 1000,
				processData: true,
				async: true,
				contentType: 'application/x-www-form-urlencoded;charset=utf-8',
				success: function(data1) {
					//获取培训类型
					for(var b = 0; b < data1.length; b++) {
						evals3.innerHTML += '<option>' + data1[b].strTaskType + '</option>';
					}
					//培训名称条件
					var topPopoverdata = {
						guid: app.getToken(),
						taskNum: 3,
						departmentID: evals1.value,
						typet: evals3.value,
						typer: evals2.value
					}
					typershow1(topPopoverdata);
				},
				error: function(xhr, type, errorThrown) {
					return;
				}
			});
		}
		//改变所在科室，得到不同的培训类型
		evals1.addEventListener('change', function() {
			evals3.innerHTML = "";
			var num = evals1.value;
			typershow(num);
		});
		//改变其他，得到不同的培训名称
		evals1.addEventListener('change', function() {
			var topPopoverdata = {
				guid: app.getToken(),
				taskNum: 3,
				departmentID: evals1.value,
				typet: evals3.value,
				typer: evals2.value
			}
			typershow1(topPopoverdata);
		});
		evals3.addEventListener('change', function() {
			var topPopoverdata = {
				guid: app.getToken(),
				taskNum: 3,
				departmentID: evals1.value,
				typet: evals3.value,
				typer: evals2.value
			}
			typershow1(topPopoverdata);
		});
		//获得培训名称
		var content = '';
		function typershow1(topPopoverdata) {
			var url3 = localStorage.getItem('srvurl') + 'phone/phoneAPI/UserRoundManual.ashx?';
			mui.ajax({
				url: url3,
				data: topPopoverdata,
				dataType: 'json',
				type: 'post',
				timeout: 1000,
				processData: true,
				async: true,
				contentType: 'application/x-www-form-urlencoded;charset=utf-8',
				success: function(data2) {
					//获取培训类型
					content = '';
					for(var y = 0; y < data2.length; y++) {
						content += '<div class="mui-input-row mui-checkbox mui-left">' +
							'<label>' + data2[y].strResourceName + '</label>' +
							'<input class="" name="checkbox1" value="' + data2[y].strUserDepartTaskMD5 + '" type="checkbox">' +
							'</div>';
					}
					guchcard.innerHTML = content;
					var cheight = (jQuery('#guch-card .mui-input-row').length);
					if(cheight >= 10) {
						jQuery('#topPopover').css('height', 10 * 39 + 'px');
					} else {
						jQuery('#topPopover').css('height', cheight * 50 + 'px');
					}
					mui('.mui-scroll-wrapper').scroll();
					mui('body').on('shown', '.mui-popover', function(e) {
						//console.log('shown', e.detail.id);//detail为当前popover元素
					});
					mui('body').on('hidden', '.mui-popover', function(e) {
						//console.log('hidden', e.detail.id);//detail为当前popover元素
					});
				},
				error: function(xhr, type, errorThrown) {
					return;
				}
			});
		}
	})
})(mui, document)