(function($, doc) {
	$.ready(function() {
		mui('.mui-scroll-wrapper').scroll({
			deceleration: 0.0005 //flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006
		});
		//获取科室
		var itemsel = document.getElementById("itemsel");
		var url3 = localStorage.getItem('srvurl') + 'phone/phoneAPI/PersonalCenter.ashx?guid=' + app.getToken() + '&type=1';
		mui.ajax({
			url: url3,
			dataType: 'json',
			type: 'post',
			timeout: 1000,
			processData: true,
			async: true,
			contentType: 'application/x-www-form-urlencoded;charset=utf-8',
			success: function(data) {
				if(data.length == 0) {
					document.getElementById("lo-m").style.display = 'block';
					document.getElementById("ys-alert").style.display = 'block';
				} else {
					for(var x = 0; x < data.length; x++) {
						itemsel.innerHTML += '<option>' + data[x].strDepartmentName + '</option>';
					}
				}
			},
			error: function(xhr, type, errorThrown) {
				return;
			}
		});
		//弹出框退出
		document.getElementById("alert-btn").addEventListener('tap', function() {
			mui.back();
		});
		//请假查询
		document.getElementById('search').addEventListener('tap', function(event) {
			document.getElementById("loimg").style.display = 'block';
			var xingzhi = document.getElementById('xingzhi');
			var departName = document.getElementById('itemsel');
			var zhuangtai = document.getElementById('zhuangtai');
			var ky = document.getElementById('ky');
			var lookInfo = {
				strtype: xingzhi.value,
				rl: '学员',
				departName: departName.value,
				state: zhuangtai.value,
				op: 3,
				submit: true
			}
			//连接接口
			var url2 = localStorage.getItem('srvurl') + 'phone/phoneAPI/UserLeaveSearch.ashx?guid=' + app.getToken();
			mui.ajax({
				url: url2,
				data: lookInfo,
				dataType: 'json',
				type: 'post',
				timeout: 1000,
				processData: true,
				async: true,
				contentType: 'application/x-www-form-urlencoded;charset=utf-8',
				success: function(data) {
					setTimeout(function() {
						document.getElementById("loimg").style.display = 'none';
						var content = '';
						for(var i = data.length - 1; i >= 0; i--) {
							var date1 = new Date(data[i].strLeaveTime);
							var date2 = new Date(date1);
							date2.setDate(date1.getDate() + (data[i].intDayCount - 1));
							var Y = date2.getFullYear() + '-';
							var M = (date2.getMonth() + 1 < 10 ? '0' + (date2.getMonth() + 1) : date2.getMonth() + 1) + '-';
							var D = date2.getDate();
							if(D < 10) {
								D = "0" + D;
							} else {
								D = D;
							}
							var xiaoshumn = Y + M + D;
							content += '<ul class="mui-table-view act-ul" id="' + data[i].lngUserLeaveID + '"><li class="mui-table-view-cell" id="' + data[i].lngUserID + '">' +
								'<p>学员姓名：<span>' + data[i].strUserName + '</span></p>' +
								'<p>科室：<span>' + data[i].strDepartmentName + '</span></p>' +
								'<p>请假日期<span>' + data[i].strLeaveTime + ' 至 ' + xiaoshumn + '</span></p>' +
								'<p>请假天数：<span>' + data[i].intDayCount + '</span></p>' +
								'<div id="' + data[i].LeaveBack + '"><div class="act-icon" id="' + data[i].ManagerCheck + '">' +
								'<span class="xiugai" id="' + xiaoshumn + '"><i class="iconfont icon-kaoqin"></i>修改</span>' +
								'<span class="chankan" id="' + xiaoshumn + '"><i class="iconfont icon-chakan"></i>查看</span>' +
								'<span class="delete"><i class="iconfont icon-shanchu"></i>删除</span>' +
								'</div></div></li></ul>';
						}
						if(data.length == 0) {
							mui.toast('<没有相关数据!>');
						}
						ky.innerHTML = content;
						if(zhuangtai.value == '1' || zhuangtai.value == '3') {
							jQuery(".xiugai").css("display", "inline-block");
							jQuery(".delete").css("display", "inline-block");
						} else {
							jQuery(".xiugai").css("display", "none");
							jQuery(".delete").css("display", "none");
						}
						//修改页面
						mui.plusReady(function() {
							mui(".act-ul .act-icon").on('tap', '.xiugai', function() {
								document.getElementById("loimg").style.display = 'block';
								var ids = this.parentNode.parentNode.parentNode.parentNode.getAttribute("id");
								var idsd = this.parentNode.parentNode.parentNode.getAttribute("id");
								var usertime = this.getAttribute("id");
								setTimeout(function() {
									mui.openWindow({
										url: 'qingjia_xg.html',
										id: 'qingjia_xg.html',
										show: {
											aniShow: 'pop-in',
											duration: 500
										},
										waiting: {
											autoShow: false
										},
										extras: {
											ids: ids,
											idsd: idsd,
											usertime: usertime
										}
									});
									document.getElementById("loimg").style.display = 'none';
								}, 500)
							});
							//详情页面
							mui(".act-ul .act-icon").on('tap', '.chankan', function() {
								document.getElementById("loimg").style.display = 'block';
								var ids = this.parentNode.parentNode.parentNode.parentNode.getAttribute("id");
								var usertime = this.getAttribute("id");
								var LeaveBack = this.parentNode.parentNode.getAttribute("id");
								var shenhe = this.parentNode.getAttribute("id");
								setTimeout(function() {
									mui.openWindow({
										url: 'qingjia_tail.html',
										id: 'qingjia_tail',
										show: {
											aniShow: 'pop-in',
											duration: 500
										},
										waiting: {
											autoShow: false
										},
										extras: {
											ids: ids,
											usertime: usertime,
											LeaveBack: LeaveBack,
											shenhe: shenhe
										}
									});
									document.getElementById("loimg").style.display = 'none';
								}, 500)
							});
							//删除数据
							mui(".act-ul .act-icon").on('tap', '.delete', function() {
								var ids = this.parentNode.parentNode.parentNode.parentNode.getAttribute("id");
								var xiugaiInfo = {
									edit: 2,
									id: ids
								}
								var url5 = localStorage.getItem('srvurl') + 'phone/phoneAPI/UserLeaveCardType.ashx?guid=' + app.getToken();
								mui.ajax({
									url: url5,
									dataType: 'json',
									data: xiugaiInfo,
									type: 'post',
									timeout: 1000,
									processData: true,
									async: true,
									contentType: 'application/x-www-form-urlencoded;charset=utf-8',
									success: function(data) {
										jQuery("#" + ids).slideUp();
										mui.toast('删除成功!');
									},
									error: function(XMLHttpRequest, textStatus, errorThrown) {
										return;
									}
								});
							});
						});
					}, 500)
				},
				error: function(XMLHttpRequest) {
					setTimeout(function() {
						document.getElementById("loimg").style.display = 'none';
					}, 500)
					return;
				}
			});
		});
	});
})(mui, document);
//相差天数
function DateDiff1(startDateStr, endDateStr) { //sDate1和sDate2是2006-12-18格式  
	var iDays;
	var separatorStr = "-";
	startDate = startDateStr.split(separatorStr);
	endDate = endDateStr.split(separatorStr);
	var date1 = new Date(startDate[0], startDate[1] - 1, startDate[2]);
	var date2 = new Date(endDate[0], endDate[1] - 1, endDate[2]);
	iDays = parseInt(Math.abs(date2 - date1) / 1000 / 60 / 60 / 24); //相差毫秒转换2为天
	return iDays;
}