var myDate = new Date();
var startriqi = myDate.getFullYear() + '-' + (myDate.getMonth() + 1) + '-' + myDate.getDate();
document.getElementById("startime").value = startriqi;
var result = $('#result')[0];
var btns = $('#demo3');
btns.each(function(i, btn) {
	btn.addEventListener('tap', function() {
		var optionsJson = this.getAttribute('data-options') || '{}';
		var options = JSON.parse(optionsJson);
		var id = this.getAttribute('id');
		/*
		 * 首次显示时实例化组件
		 * 示例为了简洁，将 options 放在了按钮的 dom 上
		 * 也可以直接通过代码声明 optinos 用于实例化 DtPicker
		 */
		var picker = new mui.DtPicker(options);
		picker.show(function(rs) {
			/*
			 * rs.value 拼合后的 value
			 * rs.text 拼合后的 text
			 * rs.y 年，可以通过 rs.y.vaue 和 rs.y.text 获取值和文本
			 * rs.m 月，用法同年
			 * rs.d 日，用法同年
			 * rs.h 时，用法同年
			 * rs.i 分（minutes 的第二个字母），用法同年
			 */
			document.getElementById("startime").value = rs.text;
			/* 
			 * 返回 false 可以阻止选择框的关闭
			 * return false;*
			/*
			 * 释放组件资源，释放后将将不能再操作组件
			 * 通常情况下，不需要示放组件，new DtPicker(options) 后，可以一直使用。
			 * 当前示例，因为内容较多，如不进行资原释放，在某些设备上会较慢。
			 * 所以每次用完便立即调用 dispose 进行释放，下次用时再创建新实例。
			 */
			picker.dispose();
		});
	}, false);
});
var strGUID = app.getToken();
document.getElementById('yincang1').style.display = 'none';
document.getElementById('yincang2').style.display = 'none';
document.getElementById('yincang3').style.display = 'none';
$(function() {
	$('#chehe2').click(function() {
		if(document.getElementById("chehe2").checked) {
			//			mui.toast('选中了');
			document.getElementById('yincang1').style.display = '';
			document.getElementById('yincang2').style.display = '';
			document.getElementById('yincang3').style.display = '';
		} else {
			//			mui.toast('没有选中');
			document.getElementById('yincang1').style.display = 'none';
			document.getElementById('yincang2').style.display = 'none';
			document.getElementById('yincang3').style.display = 'none';
		}
	});
	$('#chehe1').click(function() {
		if(document.getElementById("chehe1").checked) {
			//			mui.toast('选中了');
			document.getElementById('yincang1').style.display = 'none';
			document.getElementById('yincang2').style.display = 'none';
			document.getElementById('yincang3').style.display = 'none';
		} else {
			//			mui.toast('没有选中');
			document.getElementById('yincang1').style.display = '';
			document.getElementById('yincang2').style.display = '';
			document.getElementById('yincang3').style.display = '';
		}
	});
});
//修改提交和添加提交
mui.plusReady(function() {
	var self = plus.webview.currentWebview();
	var ids = self.ids;
	var huoqu = {
		txtCurrID: ids,
		submit: 6
	}
	if(ids != undefined) {
		//修改
		var url1 = localStorage.getItem('srvurl') + 'phone/phoneAPI/TimeMessageCard.ashx?guid=' + strGUID;
		mui.ajax(url1, {
			data: huoqu,
			dataType: 'json',
			type: 'post',
			timeout: 5000,
			processData: true,
			async: false, //异步
			success: function(data) {
				document.getElementById('teachName').value = data[0].strTitle;
				document.getElementById('Content').value = data[0].strMessage;
				document.getElementById('startime').value = data[0].strSendTime;
			},
			error: function(xhr, type, errorThrown) {
				return callback('<网络连接失败，请重新尝试一下>');
			}
		});
		document.getElementById('tijiao').addEventListener('tap', function() {
			var biaoti = document.getElementById('teachName').value;
			var dongtai = document.getElementById('Content').value;
			if(document.getElementById('chehe1').checked) {
				var xiugai = {
					txtCurrID: ids,
					txtTitle: biaoti,
					txtContent: dongtai,
					submit: 1,
					txtSendTime: startriqi
				}
			} else {
				var xiugai = {
					txtCurrID: ids,
					txtTitle: biaoti,
					txtContent: dongtai,
					submit: 1,
					txtSendTime: startriqi,
					strManagerID: strarr2.value,
					strUserID: strarr3.value
				}
			}
			var url2 = localStorage.getItem('srvurl') + 'phone/phoneAPI/TimeMessageCard.ashx?guid=' + strGUID;
			mui.ajax(url2, {
				data: xiugai,
				dataType: 'json',
				type: 'post',
				timeout: 5000,
				processData: true,
				async: false, //异步
				success: function(data) {
					mui.toast('修改成功！');
					var opener = plus.webview.currentWebview().opener();
					opener.reload()
					mui.back();
				},
				error: function(xhr, type, errorThrown) {
					return callback('<网络连接失败，请重新尝试一下>');
				}
			});
		});
	} else {
		//添加
		document.getElementById('tijiao').addEventListener('tap', function() {
			var biaoti = document.getElementById('teachName').value;
			var dongtai = document.getElementById('Content').value;
			if(document.getElementById('chehe1').checked) {
				var Sbt2 = {
					txtSendTime: startriqi,
					txtTitle: biaoti,
					txtContent: dongtai,
					submit: 1,
				}
			} else {
				var Sbt2 = {
					txtSendTime: startriqi,
					txtTitle: biaoti,
					txtContent: dongtai,
					submit: 1,
					strManagerID: strarr2.value,
					strUserID: strarr3.value
				}
			}
			var url3 = localStorage.getItem('srvurl') + 'phone/phoneAPI/TimeMessageCard.ashx?guid=' + strGUID;
			mui.ajax(url3, {
				dataType: 'json',
				data: Sbt2,
				type: 'post',
				timeout: 5000,
				processData: true,
				async: false, //异步
				success: function(data) {
					mui.toast('提交成功！');
					var opener = plus.webview.currentWebview().opener();
					opener.reload()
					mui.back();
				},
				error: function(xhr, type, errorThrown) {
					return callback('<网络连接失败，请重新尝试一下>');
				}
			});
		});
	}
});
//返回按钮
//document.getElementById('fanhui').addEventListener('tap', function(event) {
//	var opener = plus.webview.currentWebview().opener();
//	opener.reload()
//	mui.back();
//});
//获取科室
var strarr1 = [];
//获取管理员
var strarr2 = [];
//获取学员
var strarr3 = [];
var topPopover1 = document.getElementById('topPopover1');
var guchcard1 = document.getElementById("guch-card1");
var url4 = localStorage.getItem('srvurl') + 'phone/phoneAPI/TimeMessageCard.ashx?guid=' + strGUID + '&submit=2';
mui.ajax(url4, {
	dataType: 'json',
	type: 'post',
	timeout: 5000,
	async: false, //异步
	success: function(data) {
		var content = '';
		content += '<ul class="mui-table-view" id="queding1">';
		content += '<li class="mui-table-view-cell">';
		content += '&nbsp;';
		content += '<button type="button" class="mui-btn mui-btn-primary">确定</button>';
		content += '</li>';
		content += '</ul>';
		var arri1 = [];
		for(var i = 0; i < data.length; i++) {
			content += '<div class="mui-input-row mui-checkbox mui-left">';
			content += '<label>' + data[i].strDepartmentName + '</label>';
			content += '<input name="neirong1" type="checkbox">';
			content += '</div>';
			arri1[i] = data[i].lngDepartmentID
		}
		guchcard1.innerHTML = content;
		document.getElementById('queding1').addEventListener('tap', function() {
			var box1 = document.getElementsByName("neirong1");
			for(var j = 0; j < box1.length; j++) {
				if(box1[j].checked == true) {
					strarr1.push(arri1[j]);
				} else {}
			}
			show1(strarr1);
			mui.back();
		});
	},
	error: function(xhr, type, errorThrown) {
		return callback('<网络连接失败，请重新尝试一下>');
	}
});
//根据科室ID获取管理员
function show1(id) {
	var topPopover2 = document.getElementById('topPopover2');
	var guchcard2 = document.getElementById("guch-card2");
	var url5 = localStorage.getItem('srvurl') + 'phone/phoneAPI/TimeMessageCard.ashx?guid=' + strGUID + '&submit=3&strDepartID=' + id;
	mui.ajax(url5, {
		dataType: 'json',
		type: 'post',
		timeout: 5000,
		async: false, //异步
		success: function(data) {
			var content = '';
			content += '<ul class="mui-table-view" id="queding2">';
			content += '<li class="mui-table-view-cell">';
			content += '&nbsp;';
			content += '<button type="button" class="mui-btn mui-btn-primary">确定</button>';
			content += '</li>';
			content += '</ul>';
			var arri2 = [];
			for(var i = 0; i < data.length; i++) {
				content += '<div class="mui-input-row mui-checkbox mui-left">';
				content += '<label>' + data[i].strManagerName + '</label>';
				content += '<input name="neirong2" type="checkbox">';
				content += '</div>';
				arri2[i] = data[i].lngManagerID;
			}
			guchcard2.innerHTML = content;
			document.getElementById('queding2').addEventListener('tap', function() {
				var box2 = document.getElementsByName("neirong2");
				for(var j = 0; j < box2.length; j++) {
					if(box2[j].checked == true) {
						strarr2.push(arri2[j]);
					} else {}
				}
				show2(strarr1 + ',' + strarr1);
				mui.back();
			});
		},
		error: function(xhr, type, errorThrown) {
			return callback('<网络连接失败，请重新尝试一下>');
		}
	});
}
//根据管理员ID获取学员
function show2(id) {
	var topPopover3 = document.getElementById('topPopover3');
	var guchcard3 = document.getElementById("guch-card3");
	var url6 = localStorage.getItem('srvurl') + 'phone/phoneAPI/TimeMessageCard.ashx?guid=' + strGUID + '&submit=4&strDepartID=' + id;
	mui.ajax(url6, {
		dataType: 'json',
		type: 'post',
		timeout: 5000,
		async: false, //异步
		success: function(data) {
			var content = '';
			content += '<ul class="mui-table-view" id="queding3">';
			content += '<li class="mui-table-view-cell">';
			content += '&nbsp;';
			content += '<button type="button" class="mui-btn mui-btn-primary">确定</button>';
			content += '</li>';
			content += '</ul>';
			var arri3 = [];
			for(var i = 0; i < data.length; i++) {
				content += '<div class="mui-input-row mui-checkbox mui-left">';
				content += '<label>' + data[i].strUserName + '</label>';
				content += '<input name="neirong3" type="checkbox">';
				content += '</div>';
				arri3[i] = data[i].lngUserID;
			}
			guchcard3.innerHTML = content;
			document.getElementById('queding3').addEventListener('tap', function() {
				var box3 = document.getElementsByName("neirong3");
				for(var j = 0; j < box3.length; j++) {
					if(box3[j].checked == true) {
						strarr3.push(arri3[j] + '');
					} else {}
				}
				strarr3;
				mui.back();
			});
		},
		error: function(xhr, type, errorThrown) {
			return callback('<网络连接失败，请重新尝试一下>');
		}
	});
}